Debian Bug report logs - #388141
www.debian.org SPI copyright claim not legally valid until all contributors are contacted for relicensing

Package: www.debian.org; Maintainer for www.debian.org is Debian WWW Team <debian-www@lists.debian.org>;

Reported by: Tatsuya Kinoshita <tats@vega.ocn.ne.jp>

Date: Sat, 10 May 2003 01:33:01 UTC

Severity: serious

Tags: jessie, sid

Blocking fix for 614497: doc-debian: The OPL-licensed documents taken from Debian website are non-free

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, James Treacy and others <debian-www@lists.debian.org>, www.debian.org@packages.qa.debian.org:
Bug#192748; Package www.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Tatsuya Kinoshita <tats@vega.ocn.ne.jp>:
New Bug report received and forwarded. Copy sent to James Treacy and others <debian-www@lists.debian.org>, www.debian.org@packages.qa.debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Tatsuya Kinoshita <tats@vega.ocn.ne.jp>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Debian WWW Pages License is incompatible with the GNU GPL
Date: Sat, 10 May 2003 10:19:38 +0900 (JST)
Package: www.debian.org
Severity: wishlist

Debian WWW Pages are distributed under the Open Publication
License.  However, it is incompatible with the GNU GPL.

I hope that the Debian WWW Pages will be clearly free and
compatible with the GNU GPL.

See also debian-legal archive:

http://lists.debian.org/debian-legal/2003/debian-legal-200305/threads.html#00003

-- 
Tatsuya Kinoshita



Information forwarded to debian-bugs-dist@lists.debian.org, James Treacy and others <debian-www@lists.debian.org>, www.debian.org@packages.qa.debian.org:
Bug#192748; Package www.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Gerfried Fuchs <alfie@ist.org>:
Extra info received and forwarded to list. Copy sent to James Treacy and others <debian-www@lists.debian.org>, www.debian.org@packages.qa.debian.org. Full text and rfc822 format available.

Message #10 received at 192748@bugs.debian.org (full text, mbox):

From: Gerfried Fuchs <alfie@ist.org>
To: Tatsuya Kinoshita <tats@vega.ocn.ne.jp>, 192748@bugs.debian.org
Subject: Re: Bug#192748: Debian WWW Pages License is incompatible with the GNU GPL
Date: Mon, 12 May 2003 11:09:56 +0200
[Message part 1 (text/plain, inline)]
* Tatsuya Kinoshita <tats@vega.ocn.ne.jp> [2003-05-10 10:19]:
> Debian WWW Pages are distributed under the Open Publication
> License.  However, it is incompatible with the GNU GPL.

 Must it be?

> I hope that the Debian WWW Pages will be clearly free

 The Debian WWW Pages _are_ free. They are just not

> compatible with the GNU GPL.

 Our guidelines doesn't enforce being compatible with the GPL. There are
quite some packages in main that are not compatible with the GPL. I
don't see the real problem here.

 Have fun,
Alfie
-- 
-!- Gromitt_ is now known as Gromitt
<Getty> oh scheisse, gromitt wird wach
<Getty> da hab ich jetzt soviele lines gemacht in den letzten 24 std.
<Getty> und jetzt kommt der wieder ;)            -- #debian.de
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, James Treacy and others <debian-www@lists.debian.org>, www.debian.org@packages.qa.debian.org:
Bug#192748; Package www.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Tatsuya Kinoshita <tats@vega.ocn.ne.jp>:
Extra info received and forwarded to list. Copy sent to James Treacy and others <debian-www@lists.debian.org>, www.debian.org@packages.qa.debian.org. Full text and rfc822 format available.

Message #15 received at 192748@bugs.debian.org (full text, mbox):

From: Tatsuya Kinoshita <tats@vega.ocn.ne.jp>
To: 192748@bugs.debian.org
Subject: Re: Bug#192748: Debian WWW Pages License is incompatible with the GNU GPL
Date: Mon, 12 May 2003 20:01:35 +0900 (JST)
On May 12, 2003 at 11:09AM +0200,
Gerfried Fuchs <alfie@ist.org> wrote:

>  Our guidelines doesn't enforce being compatible with the GPL. There are
> quite some packages in main that are not compatible with the GPL.

Right.  This is my wish, so I set Severity to "wishlist" already.

> > I hope that the Debian WWW Pages will be clearly free
> 
>  The Debian WWW Pages _are_ free.

The Open Publication License seems to have a problem.  It is
similar to the GNU FDL.

In the debian-legal mailing list:

On May 1, 2003 at 11:00AM -0700,
Mark Rafn <dagon@dagon.net> wrote:

> > The Open Publication License (http://opencontent.org/openpub/)
> > v1.0 says:

> > | The publisher
> > | and author's names shall appear on all outer surfaces of the
> > | book. On all outer surfaces of the book the original
> > | publisher's name shall be as large as the title of the work and
> > | cited as possessive with respect to the title.
> 
> This would likely not be accepted for software.  There's currently some 
> debate (heh) on whether documentation can be considered free with this 
> kind of restriction and whether there is a category of things that are 
> not software which Debian should distribute even if they're not free.
> 
> My personal opinion is that this clause makes any work released under 
> this license non-free, and Debian shouldn't distribute it. 

On May 7, 2003 at 2:41AM -0500,
Branden Robinson <branden@debian.org> wrote:

> On Thu, May 01, 2003 at 11:00:41AM -0700, Mark Rafn wrote:
> > > | The publisher
> > > | and author's names shall appear on all outer surfaces of the
> > > | book. On all outer surfaces of the book the original
> > > | publisher's name shall be as large as the title of the work and
> > > | cited as possessive with respect to the title.

> Hm.  I think have said in the past that the OPL was Free if neither of
> its license options were exercised.  However the above quoted text from
> the license is not conditional, and is part of all instantiations of the
> OPL.
> 
> I hereby retract any previous unequivocal statements I made about the
> OPL's DFSG-freeness when neither license option is exercised.
> 
> I am not yet willing to make a new unequivocal statement to replace it.
> My thoughts on this issue will probably hitched to the GNU FDL Cover
> Texts issue, but I need more time to reflect on the subject.

-- 
Tatsuya Kinoshita



Information forwarded to debian-bugs-dist@lists.debian.org, James Treacy and others <debian-www@lists.debian.org>, www.debian.org@packages.qa.debian.org:
Bug#192748; Package www.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Javier Fernández-Sanguino Peña <jfs@computer.org>:
Extra info received and forwarded to list. Copy sent to James Treacy and others <debian-www@lists.debian.org>, www.debian.org@packages.qa.debian.org. Full text and rfc822 format available.

Message #20 received at 192748@bugs.debian.org (full text, mbox):

From: Javier Fernández-Sanguino Peña <jfs@computer.org>
To: 192748@bugs.debian.org
Subject: Re: Bug#192748: Debian WWW Pages License is incompatible with the GNU GPL
Date: Mon, 12 May 2003 15:54:37 +0200
[Message part 1 (text/plain, inline)]
On Mon, May 12, 2003 at 08:01:35PM +0900, Tatsuya Kinoshita wrote:
> 
> The Open Publication License seems to have a problem.  It is
> similar to the GNU FDL.

It doesn't unless you enforce some options (as with the GFDL) please read
http://www.debian.org/doc/manuals/ddp-policy/ch-common.en.html#s2.2

Regards

Javi
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, James Treacy and others <debian-www@lists.debian.org>, www.debian.org@packages.qa.debian.org:
Bug#192748; Package www.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Josip Rodin <joy@srce.hr>:
Extra info received and forwarded to list. Copy sent to James Treacy and others <debian-www@lists.debian.org>, www.debian.org@packages.qa.debian.org. Full text and rfc822 format available.

Message #25 received at 192748@bugs.debian.org (full text, mbox):

From: Josip Rodin <joy@srce.hr>
To: Tatsuya Kinoshita <tats@vega.ocn.ne.jp>, 192748@bugs.debian.org
Subject: Re: Bug#192748: Debian WWW Pages License is incompatible with the GNU GPL
Date: Mon, 12 May 2003 23:17:24 +0200
On Mon, May 12, 2003 at 08:01:35PM +0900, Tatsuya Kinoshita wrote:
> >  Our guidelines doesn't enforce being compatible with the GPL. There are
> > quite some packages in main that are not compatible with the GPL.
> 
> Right.  This is my wish, so I set Severity to "wishlist" already.

Okay, we get that, but what is the benefit of being compatible with the GPL?
Is it e.g. impossible to distribute copies of our web pages with
GPL-licensed programs?

I'm asking because we're quite unlikely to ever fulfil such a wish unless
some strong reason for it. It's not trivial to track down each and every
person who ever submitted stuff to the web pages and ACK a licence change.

(Overriding Mail-Followup-To: because I can't seem to find you on either
debian-www list membership list or the PTS...)

-- 
     2. That which causes joy or happiness.



Information forwarded to debian-bugs-dist@lists.debian.org, James Treacy and others <debian-www@lists.debian.org>, www.debian.org@packages.qa.debian.org:
Bug#192748; Package www.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Tatsuya Kinoshita <tats@vega.ocn.ne.jp>:
Extra info received and forwarded to list. Copy sent to James Treacy and others <debian-www@lists.debian.org>, www.debian.org@packages.qa.debian.org. Full text and rfc822 format available.

Message #30 received at 192748@bugs.debian.org (full text, mbox):

From: Tatsuya Kinoshita <tats@vega.ocn.ne.jp>
To: 192748@bugs.debian.org
Subject: Re: Bug#192748: Debian WWW Pages License is incompatible with the GNU GPL
Date: Tue, 13 May 2003 19:03:28 +0900 (JST)
On May 12, 2003 at 11:17PM +0200,
Josip Rodin <joy@srce.hr> wrote:

> what is the benefit of being compatible with the GPL?
> Is it e.g. impossible to distribute copies of our web pages with
> GPL-licensed programs?

I think that a work which derives from both an Open Publication
Licensed work and a GNU GPLed work cannot be distributed.

The Open Publication License seems to be a copyleft license.

Even if it is not a copyleft license, the following requirements
conflict with the GNU GPL.

The Open Publication License (http://opencontent.org/openpub/)
v1.0 says:

| I. REQUIREMENTS ON BOTH UNMODIFIED AND MODIFIED VERSIONS

| Any publication in standard (paper) book form shall require the
| citation of the original publisher and author. The publisher
| and author's names shall appear on all outer surfaces of the
| book. On all outer surfaces of the book the original
| publisher's name shall be as large as the title of the work and
| cited as possessive with respect to the title.

| IV. REQUIREMENTS ON MODIFIED WORKS

| 4. The location of the original unmodified document must be identified.

    *

> (Overriding Mail-Followup-To: because I can't seem to find you on either
> debian-www list membership list or the PTS...)

I should say that I'm reading this thread via debian-www archive.

-- 
Tatsuya Kinoshita



Information forwarded to debian-bugs-dist@lists.debian.org, James Treacy and others <debian-www@lists.debian.org>, www.debian.org@packages.qa.debian.org:
Bug#192748; Package www.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Colin Watson <cjwatson@debian.org>:
Extra info received and forwarded to list. Copy sent to James Treacy and others <debian-www@lists.debian.org>, www.debian.org@packages.qa.debian.org. Full text and rfc822 format available.

Message #35 received at 192748@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@debian.org>
To: 192748@bugs.debian.org
Subject: Re: Bug#192748: Debian WWW Pages License is incompatible with the GNU GPL
Date: Tue, 13 May 2003 11:49:55 +0100
On Tue, May 13, 2003 at 07:03:28PM +0900, Tatsuya Kinoshita wrote:
> On May 12, 2003 at 11:17PM +0200,
> Josip Rodin <joy@srce.hr> wrote:
> > what is the benefit of being compatible with the GPL?
> > Is it e.g. impossible to distribute copies of our web pages with
> > GPL-licensed programs?
> 
> I think that a work which derives from both an Open Publication
> Licensed work and a GNU GPLed work cannot be distributed.

Aggregation, though, is usually not a problem. If you just happen to be
distributing the two together then that's fine.

-- 
Colin Watson                                  [cjwatson@flatline.org.uk]



Information forwarded to debian-bugs-dist@lists.debian.org, James Treacy and others <debian-www@lists.debian.org>:
Bug#192748; Package www.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Don Armstrong <don@donarmstrong.com>:
Extra info received and forwarded to list. Copy sent to James Treacy and others <debian-www@lists.debian.org>. Full text and rfc822 format available.

Message #40 received at 192748@bugs.debian.org (full text, mbox):

From: Don Armstrong <don@donarmstrong.com>
To: 192748@bugs.debian.org
Cc: debian-legal@lists.debian.org
Subject: Re: Debian-legal summary of the OPL
Date: Mon, 15 Mar 2004 20:13:14 -0800
[Message part 1 (text/plain, inline)]
clone 192748 -1
retitle -1 Open Publication License is not DFSG Free
severity -1 serious
thanks 

debian-legal has recently reconsidered the OPL and has determined that
it is a license that is not free.[1]

This means that the debian webpages should have their license changed,
assuming this is possible and that those who hold copyrights agree.

As such, I am cloning the wishlist bug where this issue was first
alluded to, retitling the clone, and setting it's severity to serious.


Don Armstrong

1: http://people.debian.org/~terpstra/message/20040312.160816.9f618d1f.html
-- 
This can't be happening to me. I've got tenure.
 -- James Hynes _Publish and Perish_

http://www.donarmstrong.com
http://rzlab.ucr.edu
[signature.asc (application/pgp-signature, inline)]

Bug 192748 cloned as bug 238245. Request was from Don Armstrong <don@donarmstrong.com> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Don Armstrong <don@donarmstrong.com> to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `serious'. Request was from Don Armstrong <don@donarmstrong.com> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, James Treacy and others <debian-www@lists.debian.org>:
Bug#238245; Package www.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Don Armstrong <don@donarmstrong.com>:
Extra info received and forwarded to list. Copy sent to James Treacy and others <debian-www@lists.debian.org>. Full text and rfc822 format available.

Message #51 received at 238245@bugs.debian.org (full text, mbox):

From: Don Armstrong <don@donarmstrong.com>
To: debian-legal@lists.debian.org
Cc: 238245@bugs.debian.org
Subject: Re: Bug#192748: Debian-legal summary of the OPL
Date: Tue, 16 Mar 2004 10:28:42 -0800
[Message part 1 (text/plain, inline)]
On Tue, 16 Mar 2004, Frank Lichtenheld wrote:
> [I readded the bug report to CC despite of the contradicting MFT,
> since it doesn't make sense to exclude it]

Yeah, I didn't include it because I didn't know what the clone's bug
number was going to be... it's included and set appropriately now.
 
> On Mon, Mar 15, 2004 at 08:13:14PM -0800, Don Armstrong wrote:
> > debian-legal has recently reconsidered the OPL and has determined that
> > it is a license that is not free.[1]
> > 
> > This means that the debian webpages should have their license changed,
> > assuming this is possible and that those who hold copyrights agree.
> 
> Hmm, I'm a bit uncertain about the copyright of the webpages:
>  From the footer of the webpages I would conclude that SPI holds the
>  copyright on all content of the Debian webpages, is this right?

One would assume so, but I'm really not sure, considering that most of
the bits of code don't have any copyright statements at all.

>  Is this legally safe without explicit statements from the authors of
>  that content?

Probably not, actually.

>  The scripts that generate the webpages have different copyrights
>  and licences but I think this is ok, isn't it? (The ones that carry
>  copyright notices with them seem to be GPL licenced, so they aren't
>  affected by this bug.

Yeah, so long as they are DFSG free licenses (GPL being one of those)
it shouldn't be a big deal.

> If my conclusion above are right, I think the SPI board has to
> handle that bug...

I think we'll need the SPI board to make some sort of a determination,
and it probably would be a good idea for the www.debian.org team to
make some sort of copyright assignment to SPI, probably along the
lines of what the FSF does. [I would imagine that the copyright could
be granted to SPI, and then the SPI could license back the work to the
author with generous terms (sublicense under different terms, modify,
distribute, etc.) so that the original author could do just about
anything that they want to do with the work besides sue for copyright
infringement. [The SPI would have to take on that task...]


Don Armstrong

-- 
[Panama, 1989. The U.S. government called it "Operation Just Cause".]
I think they misspelled this. Shouldn't it be "Operation Just 'Cause"?
 -- TekPolitik http://slashdot.org/comments.pl?sid=59669&cid=5664907

http://www.donarmstrong.com
http://www.anylevel.com
http://rzlab.ucr.edu
[signature.asc (application/pgp-signature, inline)]

Tags added: sid Request was from Frank Lichtenheld <djpig@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#238245; Package www.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Tommi Vainikainen <thv@iki.fi>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. Full text and rfc822 format available.

Message #58 received at 238245@bugs.debian.org (full text, mbox):

From: Tommi Vainikainen <thv@iki.fi>
To: debian-legal@lists.debian.org
Cc: 238245@bugs.debian.org
Subject: Debian website's copyright and license suggestions?
Date: Sun, 16 Oct 2005 20:17:35 +0300
Hello members of debian-legal,

It isn't currently well known that Debian website's license is Open
Publication License, which has been judged to be non-free, and
therefore needs to be changed.

Currently web pages are "Copyright © 1997-2005 SPI" and license terms
linking to Open Publication license are available at
<URL: http://www.de.debian.org/license >. However SPI has not been
collecting any paper work to transfer copyrights like FSF does, and
probably many contributors do not even know about that their work is
automatically copyrighted by SPI.

So basically there is two questions:

Does missing paperwork create a problem?

And what would be good license for Debians web pages? (This is about
content, the scripts used in generation are GNU GPL or otherwise
freely licensed.)

Because copyright is currently claimed by SPI Inc, and SPI's board
meeting is coming rather soon, I brought this issue to SPI's
secretarys attention, but SPI board would appreciate some suggestion
what they should decide about license change.

I've Cc'ed the bug report about the issue, but Mail-followups does not
contain bug report. Add it if needed, please.

-- 
Tommi Vainikainen




Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#238245; Package www.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Francesco Poli <frx@winstonsmith.info>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. Full text and rfc822 format available.

Message #63 received at 238245@bugs.debian.org (full text, mbox):

From: Francesco Poli <frx@winstonsmith.info>
To: Tommi Vainikainen <thv@iki.fi>
Cc: debian-legal@lists.debian.org, 238245@bugs.debian.org
Subject: Re: Debian website's copyright and license suggestions?
Date: Sun, 16 Oct 2005 23:24:00 +0200
[Message part 1 (text/plain, inline)]
On Sun, 16 Oct 2005 20:17:35 +0300 Tommi Vainikainen wrote:

> Hello members of debian-legal,

Hi!

> 
> It isn't currently well known that Debian website's license is Open
> Publication License, which has been judged to be non-free, and
> therefore needs to be changed.

Indeed.

> 
> Currently web pages are "Copyright © 1997-2005 SPI" and license terms
> linking to Open Publication license are available at
> <URL: http://www.de.debian.org/license >. However SPI has not been
> collecting any paper work to transfer copyrights like FSF does, and
> probably many contributors do not even know about that their work is
> automatically copyrighted by SPI.
> 
> So basically there is two questions:
> 
> Does missing paperwork create a problem?

I think it does, unfortunately.

Each copyright holder should be tracked, contacted and asked for a
signed copyright assignment paper.
Then SPI will be able to relicense the website.

A less difficult solution is avoiding copyright assignements and simply
asking for a license change: each copyright holder should be tracked,
contacted and asked to agree with the relicensing.

The latter solution is (relatively) easier, since contributors must be
tracked and contacted anyway, but a permission to relicense can be
obtained via e-mail, while a copyright assignment must be done in a
written and signed (deadtree) paper, AFAIK.

> 
> And what would be good license for Debians web pages? (This is about
> content, the scripts used in generation are GNU GPL or otherwise
> freely licensed.)

My recommendations are:


 GNU GPL v2
 ----------
 (http://www.fsf.org/licensing/licenses/gpl.txt)
 if copyleft is desired


 Expat a.k.a. MIT
 ----------------
 (http://www.jclark.com/xml/copying.txt)
 if copyleft is not perceived as important and/or maximum license
 compatibility is desired


> 
> Because copyright is currently claimed by SPI Inc, and SPI's board
> meeting is coming rather soon, I brought this issue to SPI's
> secretarys attention, but SPI board would appreciate some suggestion
> what they should decide about license change.

Good, thanks for working on this issue!

> 
> I've Cc'ed the bug report about the issue, but Mail-followups does not
> contain bug report. Add it if needed, please.

Added.

-- 
    :-(   This Universe is buggy! Where's the Creator's BTS?   ;-)
......................................................................
  Francesco Poli                             GnuPG Key ID = DD6DFCF4
 Key fingerprint = C979 F34B 27CE 5CD8 DC12  31B5 78F4 279B DD6D FCF4
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#238245; Package www.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Bas Zoetekouw <bas@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. Full text and rfc822 format available.

Message #68 received at 238245@bugs.debian.org (full text, mbox):

From: Bas Zoetekouw <bas@debian.org>
To: debian-legal@lists.debian.org, thv@iki.fi, 238245@bugs.debian.org
Subject: Re: Debian website's copyright and license suggestions?
Date: Mon, 17 Oct 2005 00:28:47 +0200
Hi Francesco!

You wrote:

> A less difficult solution is avoiding copyright assignements and simply
> asking for a license change: each copyright holder should be tracked,
> contacted and asked to agree with the relicensing.

I'm afraid that this will turn out to be infeasable.  Lots and lots of
people have contributed to the webpages.  To make it even worse, a lots
of translators used to work though general cvs accounts (like "dutch" or
"french"), making it even harder to find out who did what.

-- 
Kind regards,
+--------------------------------------------------------------------+
| Bas Zoetekouw              | GPG key: 0644fab7                     |
|----------------------------| Fingerprint: c1f5 f24c d514 3fec 8bf6 |
| bas@o2w.nl, bas@debian.org |              a2b1 2bae e41f 0644 fab7 |
+--------------------------------------------------------------------+ 



Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#238245; Package www.debian.org. Full text and rfc822 format available.

Acknowledgement sent to MJ Ray <mjr@phonecoop.coop>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. Full text and rfc822 format available.

Message #73 received at 238245@bugs.debian.org (full text, mbox):

From: MJ Ray <mjr@phonecoop.coop>
To: <debian-legal@lists.debian.org>,<238245@bugs.debian.org>
Subject: Re: Bug#238245: Debian website's copyright and license suggestions?
Date: Mon, 17 Oct 2005 11:41:39 +0100
Tommi Vainikainen <thv@iki.fi>

> Does missing paperwork create a problem?

Strictly speaking, yes.

> And what would be good license for Debians web pages?

MIT/Expat or GNU GPL.

> Because copyright is currently claimed by SPI Inc, and SPI's board
> meeting is coming rather soon, I brought this issue to SPI's
> secretarys attention, but SPI board would appreciate some suggestion
> what they should decide about license change.

I see it will be discussed at the board meeting at
http://www.spi-inc.org/secretary/agenda/2005-10-18.html

Best wishes,
-- 
MJ Ray (slef), Lynn, England, to email see http://mjr.towers.org.uk/



Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#238245; Package www.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Francesco Poli <frx@winstonsmith.info>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. Full text and rfc822 format available.

Message #78 received at 238245@bugs.debian.org (full text, mbox):

From: Francesco Poli <frx@winstonsmith.info>
To: debian-legal@lists.debian.org
Cc: thv@iki.fi, 238245@bugs.debian.org
Subject: Re: Debian website's copyright and license suggestions?
Date: Tue, 18 Oct 2005 00:38:51 +0200
[Message part 1 (text/plain, inline)]
On Mon, 17 Oct 2005 00:28:47 +0200 Bas Zoetekouw wrote:

> Hi Francesco!
> 
> You wrote:
> 
> > A less difficult solution is avoiding copyright assignements and
> > simply asking for a license change: each copyright holder should be
> > tracked, contacted and asked to agree with the relicensing.
> 
> I'm afraid that this will turn out to be infeasable.  Lots and lots of
> people have contributed to the webpages.  To make it even worse, a
> lots of translators used to work though general cvs accounts (like
> "dutch" or "french"), making it even harder to find out who did what.

This is unfortunate, but it will bite regardless of which solution is
chosen (copyright assignment or agreement to relicense).
As I said, both solutions require getting in touch with each current
copyright holder...

-- 
    :-(   This Universe is buggy! Where's the Creator's BTS?   ;-)
......................................................................
  Francesco Poli                             GnuPG Key ID = DD6DFCF4
 Key fingerprint = C979 F34B 27CE 5CD8 DC12  31B5 78F4 279B DD6D FCF4
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#238245; Package www.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Nathanael Nerode <neroden@twcny.rr.com>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. Full text and rfc822 format available.

Message #83 received at 238245@bugs.debian.org (full text, mbox):

From: Nathanael Nerode <neroden@twcny.rr.com>
To: 238245@bugs.debian.org
Subject: Re: Bug#238245: Debian website's copyright and license suggestions?
Date: Sun, 23 Oct 2005 03:53:50 -0400
<posted & mailed>

Tommi Vainikainen wrote:

> Hello members of debian-legal,
> 
> It isn't currently well known that Debian website's license is Open
> Publication License, which has been judged to be non-free, and
> therefore needs to be changed.
We know.  ;-)

> Currently web pages are "Copyright © 1997-2005 SPI" and license terms
> linking to Open Publication license are available at
> <URL: http://www.de.debian.org/license >. However SPI has not been
> collecting any paper work to transfer copyrights like FSF does, and
> probably many contributors do not even know about that their work is
> automatically copyrighted by SPI.
Well, actually, it isn't.... see below.

> So basically there is two questions:
> 
> Does missing paperwork create a problem?
Yes.  In the US, without a paper transfer, copyright is retained by the
author (except in work-for-hire cases, which actually might be relevant,
but I doubt it).  That means that the copyright statements on the web pages
are wrong.

> And what would be good license for Debians web pages? (This is about
> content, the scripts used in generation are GNU GPL or otherwise
> freely licensed.)

Either GNU GPL v. 2 or 2-clause BSD or MIT/Expat.  Author's choice, I think.  
There is little harm in having different licenses for different web pages.  
Each time a (manually generated) web page is changed significantly, the 
copyright statement should be updated and the license agreed to by the new 
author.

> Because copyright is currently claimed by SPI Inc, and SPI's board
> meeting is coming rather soon, I brought this issue to SPI's
> secretarys attention, but SPI board would appreciate some suggestion
> what they should decide about license change.

-- 
Nathanael Nerode  <neroden@twcny.rr.com>

"(Instead, we front-load the flamewars and grudges in
the interest of efficiency.)" --Steve Lanagasek,
http://lists.debian.org/debian-devel/2005/09/msg01056.html



Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#238245; Package www.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Nathanael Nerode <neroden@twcny.rr.com>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. Full text and rfc822 format available.

Message #88 received at 238245@bugs.debian.org (full text, mbox):

From: Nathanael Nerode <neroden@twcny.rr.com>
To: Bas Zoetekouw <bas@debian.org>
Cc: 238245@bugs.debian.org
Subject: Re: Bug#238245: Debian website's copyright and license suggestions?
Date: Sun, 23 Oct 2005 03:56:37 -0400
<posted & mailed>

Bas Zoetekouw wrote:

> Hi Francesco!
> 
> You wrote:
> 
>> A less difficult solution is avoiding copyright assignements and simply
>> asking for a license change: each copyright holder should be tracked,
>> contacted and asked to agree with the relicensing.
> 
> I'm afraid that this will turn out to be infeasable.  Lots and lots of
> people have contributed to the webpages.  To make it even worse, a lots
> of translators used to work though general cvs accounts (like "dutch" or
> "french"), making it even harder to find out who did what.
In that case...

If you can get a legal opinion that the pages were created as
works-for-hire, then SPI actually does hold the copyrights.

Otherwise, you're stuck rewriting the webpages, if you want to be legal.


-- 
Nathanael Nerode  <neroden@twcny.rr.com>

"(Instead, we front-load the flamewars and grudges in
the interest of efficiency.)" --Steve Lanagasek,
http://lists.debian.org/debian-devel/2005/09/msg01056.html



Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#238245; Package www.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Javier Fernández-Sanguino Peña <jfs@computer.org>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. Full text and rfc822 format available.

Message #93 received at 238245@bugs.debian.org (full text, mbox):

From: Javier Fernández-Sanguino Peña <jfs@computer.org>
To: debian-www@lists.debian.org, 238245@bugs.debian.org
Cc: SPI Board of Directors <board@spi-inc.org>, debian-legal@lists.debian.org
Subject: Proposed plan (and license) for the webpage relicensing
Date: Wed, 19 Apr 2006 13:12:16 +0200
[Message part 1 (text/plain, inline)]
Hi everyone,

I was reviewing the status of #238245 ("Debian web site is licensed under the
OPL which is not considered DFSG-free") and see that there have been no
actions since October last year and no discussion at debian-www. 

In summary: The web pages license content should be changed from the OPL (non
DFSG-free) to some other license (DFSG-free). As it is, the current content
is not GPL compatible (so it cannot be reused, for example, in documentation
produced by the DDP project).

This issue was brought up last in October 2005 to the SPI board and they said
(based on the IRC log [2] there doesn't seem to be any minutes) that
debian-www should tell them what to do. I don't find any other references to 
this in the SPI Board archives.

So, Here's the plan I propose:

a) a proper license should be decided for the website.

   I suggest using a BSD-style license. The attached license is such a
   license. It is  based on the FreeBSD documentation license [3] and
   explicitely mentions translations.  In our case (the website) the
   'source code' is the wml, but I leave references to other sources (SGML,
   XML) that might apply to other documentation that the website might hold.

b) old contributors to the web site (i.e. all that have had CVS access to the
   WWW CVS are for the past 10 years) should be contacted and ask to 
   agree to this license change.

c) a note should be added to the Debian site (as a News item?) describing the
   license change (and the reasons for the change) and giving a 6 month
   period for comments.

d) new contributors during that period should be asked to agree to the
   license change and to transfer (c) to SPI (GPG/PGP signed e-mail would be
   a requisite for contributing, a paper trail would be even best)

e) from here on access to the CVS of the website should be given after
   clearly stating (and getting and agreement) that any and all contributions
   to the CVS, unless specified otherwise with clear (c) statements in the
   code, will be (c) SPI and will be considered "work under contract" 

Does this sound like a reasonable plan? Who can help digging out a list
of contributors and preparing an explanatory e-mail and license change notice
for the website?

Let's please solve this once and for all.

Regards

Javier


[1] http://www.debian.org/doc/manuals/ddp-policy/ch-common.en.html#s2.2
[2] http://www.spi-inc.org/secretary/minutes/20051018.txt
[3] http://www.freebsd.org/copyright/freebsd-doc-license.html
[proposed_debian-www_license.txt (text/plain, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#238245; Package www.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Manoj Srivastava <srivasta@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. Full text and rfc822 format available.

Message #98 received at 238245@bugs.debian.org (full text, mbox):

From: Manoj Srivastava <srivasta@debian.org>
To: debian-www@lists.debian.org
Cc: 238245@bugs.debian.org, SPI Board of Directors <board@spi-inc.org>, debian-legal@lists.debian.org
Subject: Re: Proposed plan (and license) for the webpage relicensing
Date: Wed, 19 Apr 2006 08:09:15 -0500
On 19 Apr 2006, Javier Fernández-Sanguino Peña uttered the following:

> In summary: The web pages license content should be changed from the
> OPL (non DFSG-free) to some other license (DFSG-free). As it is, the
> current content is not GPL compatible (so it cannot be reused, for
> example, in documentation produced by the DDP project).

        This is also troublesome since we say i the social contract:
    When we write new components of the Debian system, we will license
    them in a manner consistent with the Debian Free Software Guidelines.

>
> a) a proper license should be decided for the website.
>
> I suggest using a BSD-style license. The attached license is such a
> license. It is based on the FreeBSD documentation license [3] and
> explicitely mentions translations.  In our case (the website) the
> 'source code' is the wml, but I leave references to other sources
> (SGML, XML) that might apply to other documentation that the website
> might hold.

        I would be willing to license my contributions under the
 GPL.  I do not see why translations are any different than another
 wml file added to the combined work, so I don't see why the GPL is
 not a perfectly good license for the wml code.

>
> b) old contributors to the web site (i.e. all that have had CVS
>    access to the WWW CVS are for the past 10 years) should be
>    contacted and ask to   agree to this license change.


        As long as the licenses used are compatible, we may not need a
 common license. Standard footers can be provided for inclusion for
 each page.

> c) a note should be added to the Debian site (as a News item?)
>    describing the license change (and the reasons for the change)
>    and giving a 6 month  period for comments.

        e are following our social contract.  There need be no
 comments period for six months, we should just get on with it.

> d) new contributors during that period should be asked to agree to
>    the license change and to transfer (c) to SPI (GPG/PGP signed
>    e-mail would be a requisite for contributing, a paper trail would
>    be even best) 

        What reason should people assign copyright if the license is
 free?  I have no intention of doing so, for any past or future
 contributions. 

>
> e) from here on access to the CVS of the website should be given
>    after clearly stating (and getting and agreement) that any and
>    all contributions  to the CVS, unless specified otherwise with
>    clear (c) statements in the  code, will be (c) SPI and will be
>    considered "work under contract"  

        No.  While I am willing to change my license to the GPL, if
 you want work under contract, my contract rate is US $250/hour. And I
 have a boilerplate contract agreement you must sign, in order to use
 my work.

> Does this sound like a reasonable plan? Who can help digging out a
> list of contributors and preparing an explanatory e-mail and license
> change notice for the website?

        The copyright assignment does not sound sane, no.

        manoj
-- 
Don't feed the bats tonight.
Manoj Srivastava   <srivasta@debian.org>  <http://www.debian.org/%7Esrivasta/>
1024D/BF24424C print 4966 F272 D093 B493 410B  924B 21BA DABB BF24 424C



Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#238245; Package www.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Jutta Wrage <jw@witch.westfalen.de>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. Full text and rfc822 format available.

Message #103 received at 238245@bugs.debian.org (full text, mbox):

From: Jutta Wrage <jw@witch.westfalen.de>
To: Debian-WWW <debian-www@lists.debian.org>
Cc: 238245@bugs.debian.org, SPI Board of Directors <board@spi-inc.org>, Debian-Legal <debian-legal@lists.debian.org>
Subject: Re: Proposed plan (and license) for the webpage relicensing
Date: Thu, 20 Apr 2006 01:02:20 +0200
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1


Am 19.04.2006 um 13:12 schrieb Javier Fernández-Sanguino Peña:

> e) from here on access to the CVS of the website should be given after
>    clearly stating (and getting and agreement) that any and all  
> contributions
>    to the CVS, unless specified otherwise with clear (c) statements  
> in the
>    code, will be (c) SPI and will be considered "work under contract"

No here, too. Many of us will really get in problems with a phrase  
"work under cantract".

greetings

Jutta


- -- 
http://www.witch.westfalen.de
http://witch.muensterland.org

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.3 (Darwin)

iEYEARECAAYFAkRGwX0ACgkQOgZ5N97kHkeREwCguldjU3UX9jkgkoy30qqK2HG8
iw8AoLHM6QCTy1xiUmBN4auhLq2f9r87
=7H1m
-----END PGP SIGNATURE-----



Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#238245; Package www.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Francesco Poli <frx@firenze.linux.it>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. Full text and rfc822 format available.

Message #108 received at 238245@bugs.debian.org (full text, mbox):

From: Francesco Poli <frx@firenze.linux.it>
To: debian-legal@lists.debian.org
Cc: debian-www@lists.debian.org, 238245@bugs.debian.org, board@spi-inc.org
Subject: Re: Proposed plan (and license) for the webpage relicensing
Date: Thu, 20 Apr 2006 01:03:19 +0200
[Message part 1 (text/plain, inline)]
On Wed, 19 Apr 2006 08:09:15 -0500 Manoj Srivastava wrote:

> On 19 Apr 2006, Javier Fernández-Sanguino Peña uttered the following:
[...]
> >
> > a) a proper license should be decided for the website.
> >
> > I suggest using a BSD-style license. The attached license is such a
> > license. It is based on the FreeBSD documentation license [3] and
> > explicitely mentions translations.  In our case (the website) the
> > 'source code' is the wml, but I leave references to other sources
> > (SGML, XML) that might apply to other documentation that the website
> > might hold.
> 
>         I would be willing to license my contributions under the
>  GPL.  I do not see why translations are any different than another
>  wml file added to the combined work, so I don't see why the GPL is
>  not a perfectly good license for the wml code.

I agree that the GNU GPL v2 would be a perfectly reasonable choice for
the Debian website.
Several other GPLv2-compatible licenses are good choices too, however.

Out of curiousity, would you be willing to license your contributions
under "GPLv2 only"?
Or would you rather choose to license them under "GPLv2 or later"?

> 
> >
> > b) old contributors to the web site (i.e. all that have had CVS
> >    access to the WWW CVS are for the past 10 years) should be
> >    contacted and ask to   agree to this license change.
> 
> 
>         As long as the licenses used are compatible, we may not need a
>  common license. Standard footers can be provided for inclusion for
>  each page.

That's a possible approach too.
It requires more care and is somewhat more complicated, though.

[...]
> > d) new contributors during that period should be asked to agree to
> >    the license change and to transfer (c) to SPI (GPG/PGP signed
> >    e-mail would be a requisite for contributing, a paper trail would
> >    be even best) 
> 
>         What reason should people assign copyright if the license is
>  free?  I have no intention of doing so, for any past or future
>  contributions.

Agreed.


-- 
    :-(   This Universe is buggy! Where's the Creator's BTS?   ;-)
......................................................................
  Francesco Poli                             GnuPG Key ID = DD6DFCF4
 Key fingerprint = C979 F34B 27CE 5CD8 DC12  31B5 78F4 279B DD6D FCF4
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#238245; Package www.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Francesco Poli <frx@firenze.linux.it>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. Full text and rfc822 format available.

Message #113 received at 238245@bugs.debian.org (full text, mbox):

From: Francesco Poli <frx@firenze.linux.it>
To: debian-legal@lists.debian.org
Cc: debian-www@lists.debian.org, 238245@bugs.debian.org, board@spi-inc.org
Subject: Re: Proposed plan (and license) for the webpage relicensing
Date: Thu, 20 Apr 2006 00:56:57 +0200
[Message part 1 (text/plain, inline)]
On Wed, 19 Apr 2006 13:12:16 +0200 Javier Fernández-Sanguino Peña wrote:

> 
> Hi everyone,
> 
> I was reviewing the status of #238245 ("Debian web site is licensed
> under the OPL which is not considered DFSG-free") and see that there
> have been no actions since October last year and no discussion at
> debian-www.

Hi!
Thanks for working on this issue, that really deserves a clear solution.

> 
> In summary: The web pages license content should be changed from the
> OPL (non DFSG-free) to some other license (DFSG-free). As it is, the
> current content is not GPL compatible (so it cannot be reused, for
> example, in documentation produced by the DDP project).

Agreed.

[...]
> So, Here's the plan I propose:
> 
> a) a proper license should be decided for the website.

Agreed.

> 
>    I suggest using a BSD-style license. The attached license is such a
>    license. It is  based on the FreeBSD documentation license [3] and
>    explicitely mentions translations.  In our case (the website) the
>    'source code' is the wml, but I leave references to other sources
>    (SGML, XML) that might apply to other documentation that the
>    website might hold.

I do *not* think that the license you are proposing is a good one.

It's not technology-neutral: what if I convert pages from WML to, say,
XHTML and go on modifying XHTML by hand? The new source form for the
derived work is XHTML, but the license does not consider it as
"source"!

Clause 1 restricts where the license text must be retained: as the first
lines. What if I convert pages from WML to another format where the
first lines are reserved for some other use? It seems I cannot legally
do so!

The license does not seem to be GPLv2-compatible, as clause 3 is a weak
copyleft constraint: it seems that I cannot combine a page under this
license with a GPLv2-licensed document in a single derivative work,
since the latter should be released as a whole under the "Debian
Documentation License", but it cannot be, because the GPL'd part has
restrictions that are not present in the "Debian Documentation License"
and I cannot waive restrictions on parts I'm not the copyright holder
for!


If you are going to propose a BSD-style license, I would strongly
recommend the (unmodified) 2-clause BSD license:
http://www.gnu.org/licenses/info/BSD_2Clause.html

> 
> b) old contributors to the web site (i.e. all that have had CVS access
> to the
>    WWW CVS are for the past 10 years) should be contacted and ask to 
>    agree to this license change.

OK.

> 
> c) a note should be added to the Debian site (as a News item?)
> describing the
>    license change (and the reasons for the change) and giving a 6
>    month period for comments.

What's the use of this News item?
Aren't we already commenting on your proposed plan?

> 
> d) new contributors during that period should be asked to agree to the
>    license change

OK.

>    and to transfer (c) to SPI (GPG/PGP signed e-mail
>    would be a requisite for contributing, a paper trail would be even
>    best)

I disagree. There's no need to transfer copyrights, as long as licenses
are DFSG-free.
I personally would *not* be willing to transfer any copyright to SPI. 
Moreover copyright transfers require slow and boring paperwork.

> 
> e) from here on access to the CVS of the website should be given after
>    clearly stating (and getting and agreement) that any and all
>    contributions to the CVS, unless specified otherwise with clear (c)
>    statements in the code, will be (c) SPI and will be considered
>    "work under contract" 

I don't think you can claim it's work under contract, unless there
actually *is* a contract involved!
Voluntary contributions are not "work under contract", AFAICT.

[...]
> Let's please solve this once and for all.

Yes, please!


-- 
    :-(   This Universe is buggy! Where's the Creator's BTS?   ;-)
......................................................................
  Francesco Poli                             GnuPG Key ID = DD6DFCF4
 Key fingerprint = C979 F34B 27CE 5CD8 DC12  31B5 78F4 279B DD6D FCF4
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#238245; Package www.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Javier Fernández-Sanguino Peña <jfs@computer.org>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. Full text and rfc822 format available.

Message #118 received at 238245@bugs.debian.org (full text, mbox):

From: Javier Fernández-Sanguino Peña <jfs@computer.org>
To: Francesco Poli <frx@firenze.linux.it>
Cc: debian-legal@lists.debian.org, debian-www@lists.debian.org, 238245@bugs.debian.org, board@spi-inc.org
Subject: Re: Proposed plan (and license) for the webpage relicensing
Date: Thu, 20 Apr 2006 01:37:43 +0200
[Message part 1 (text/plain, inline)]
On Thu, Apr 20, 2006 at 12:56:57AM +0200, Francesco Poli wrote:
> > 
> >    I suggest using a BSD-style license. The attached license is such a
> >    license. It is  based on the FreeBSD documentation license [3] and
> >    explicitely mentions translations.  In our case (the website) the
> >    'source code' is the wml, but I leave references to other sources
> >    (SGML, XML) that might apply to other documentation that the
> >    website might hold.
> 
> I do *not* think that the license you are proposing is a good one.
(...)

Maybe we should just use a simpler (i.e. technology neutral license) without
explicitly mentioning that the source = WML.

> Clause 1 restricts where the license text must be retained: as the first
> lines. What if I convert pages from WML to another format where the
> first lines are reserved for some other use? It seems I cannot legally
> do so!

How about saying "either first or last lines"?

> The license does not seem to be GPLv2-compatible, as clause 3 is a weak
> copyleft constraint: it seems that I cannot combine a page under this

I've removed that one.

> If you are going to propose a BSD-style license, I would strongly
> recommend the (unmodified) 2-clause BSD license:
> http://www.gnu.org/licenses/info/BSD_2Clause.html

The attached license is quite similar to the BSD license with the only 
differences being that there is no 'binary' form, there's just a compiled
form of the site (and explicitly lists some formats which the source might be
compiled too).

> > c) a note should be added to the Debian site (as a News item?)
> > describing the
> >    license change (and the reasons for the change) and giving a 6
> >    month period for comments.
> 
> What's the use of this News item?

Just to get wider coverage. Maybe an announcment to d-d-a would be best.

> Aren't we already commenting on your proposed plan?

Yes, but not every single DD that has contributed to the web pages is 
reading -www or -legal.

> >    and to transfer (c) to SPI (GPG/PGP signed e-mail
> >    would be a requisite for contributing, a paper trail would be even
> >    best)
> 
> I disagree. There's no need to transfer copyrights, as long as licenses
> are DFSG-free.

I added the (c) transfer in order to make it possible for SPI to relicense
the site in the future. In the website is not (c) SPI then our current
footer really doesn't make any sense.

> > e) from here on access to the CVS of the website should be given after
> >    clearly stating (and getting and agreement) that any and all
> >    contributions to the CVS, unless specified otherwise with clear (c)
> >    statements in the code, will be (c) SPI and will be considered
> >    "work under contract" 
> 
> I don't think you can claim it's work under contract, unless there
> actually *is* a contract involved!
> Voluntary contributions are not "work under contract", AFAICT.

The idea of that portion, which might be misunderstood as the wording is not
really accurate, is that if volunteers argue they "worked" for SPI for the
website development there is no need to have paperwork done for the (c)
transfer. If we drop the (c) transfer portion (I'm open to that, if people
don't want it to be there) then this should be dropped too.

AFAIK (in Spanish legislation at least) volunteer work can be considered work
"for contract" (note the quotes) in the sense that you work for a company (a
volunteer organisation) for free and you waive the rights to your work to it
(including IP rights, and copyrights). Since there is no real written
"contract" this does not conflict with the fact that the company you work for
(the one you have a contract with) might have stated that you cannot work for
others while working for them. 

As I said, however, those steps could be dropped, but then we have to
ask every contributor to have their contributions licensed under this license
(and cross our fingers that we will not have to change it in the future). We
should also probably have to change the (c) portion to list people that have
contributed in the site or, at the very least, say that SPI is not the (c)
holder.

Regards

Javier

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#238245; Package www.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Javier Fernández-Sanguino Peña <jfs@computer.org>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. Full text and rfc822 format available.

Message #123 received at 238245@bugs.debian.org (full text, mbox):

From: Javier Fernández-Sanguino Peña <jfs@computer.org>
To: Francesco Poli <frx@firenze.linux.it>
Cc: debian-legal@lists.debian.org, debian-www@lists.debian.org, 238245@bugs.debian.org, board@spi-inc.org
Subject: Re: Proposed plan (and license) for the webpage relicensing
Date: Thu, 20 Apr 2006 01:50:07 +0200
[Message part 1 (text/plain, inline)]
On Thu, Apr 20, 2006 at 01:03:19AM +0200, Francesco Poli wrote:
> I agree that the GNU GPL v2 would be a perfectly reasonable choice for
> the Debian website.
> Several other GPLv2-compatible licenses are good choices too, however.

I'd rather use a simpler license for text content it is more understandable
and less subject to interpretation (note that embeded code in the wml files
in the website *should* be GPL). Unlike other technical documentation (such as
manuals or guides, see [0]) I don't think the GPL is a good license for the
website. But maybe that's just me.

> Out of curiousity, would you be willing to license your contributions
> under "GPLv2 only"?
> Or would you rather choose to license them under "GPLv2 or later"?

I'd rather have it be "GPLv2 only".

> >         As long as the licenses used are compatible, we may not need a
> >  common license. Standard footers can be provided for inclusion for
> >  each page.
> 
> That's a possible approach too.
> It requires more care and is somewhat more complicated, though.

Agreed. Nobody has brought up concerns about *other* licenses being used
until we talked about changing the one we are *using* right now. Believe it
or not, all the web pages have a footer saying that they are OPL and nobody
has ever complained asking for different licenses for *their* contributions
(not that I remember, at least). 

> > > d) new contributors during that period should be asked to agree to
> > >    the license change and to transfer (c) to SPI (GPG/PGP signed
> > >    e-mail would be a requisite for contributing, a paper trail would
> > >    be even best) 
> > 
> >         What reason should people assign copyright if the license is
> >  free?  I have no intention of doing so, for any past or future
> >  contributions.
> 
> Agreed.

In order to make it possible to do a license change in the future if needed
be and not have the web team track every single individual that has
contributed to the website (as is the case now). Even though we might end up
choosing a license we *think* is the best right now, there might come a time
we might want to change that. Maybe because it might turn out it was not
really the best license for the web pages for X or Y reason. Having SPI hold
the copyright simplifies things.

The fact no one has complained about the fact the footer to their
contributions to the web page says that all the pages are (c) SPI [1] made me
think that nobody deeply cared about *their* copyrights to the webpages. It
seems I was wrong.

Regards

Javier

[0] See my proposal for the DDP at
http://www.debian.org/doc/manuals/ddp-policy/ch-common.en.html#s2.2

[1] Notice that, again, Perl source code that generates parts of the web site
is *not* (c) SPI.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#238245; Package www.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Francesco Poli <frx@firenze.linux.it>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. Full text and rfc822 format available.

Message #128 received at 238245@bugs.debian.org (full text, mbox):

From: Francesco Poli <frx@firenze.linux.it>
To: debian-legal@lists.debian.org
Cc: debian-www@lists.debian.org, 238245@bugs.debian.org, board@spi-inc.org
Subject: Re: Proposed plan (and license) for the webpage relicensing
Date: Thu, 20 Apr 2006 23:47:20 +0200
[Message part 1 (text/plain, inline)]
On Thu, 20 Apr 2006 01:37:43 +0200 Javier Fernández-Sanguino Peña wrote:

> On Thu, Apr 20, 2006 at 12:56:57AM +0200, Francesco Poli wrote:
> > > 
> > >    I suggest using a BSD-style license. The attached license is
> > >    such a license. It is  based on the FreeBSD documentation
> > >    license [3] and explicitely mentions translations.  In our case
> > >    (the website) the 'source code' is the wml, but I leave
> > >    references to other sources (SGML, XML) that might apply to
> > >    other documentation that the website might hold.
> > 
> > I do *not* think that the license you are proposing is a good one.
> (...)
> 
> Maybe we should just use a simpler (i.e. technology neutral license)
> without explicitly mentioning that the source = WML.

Indeed.
The 2-clause BSD license I suggested matches your description!  ;-)
Another good choice in the non-copyleft arena is the Expat (a.k.a. MIT)
license: http://www.jclark.com/xml/copying.txt


> 
> > Clause 1 restricts where the license text must be retained: as the
> > first lines. What if I convert pages from WML to another format
> > where the first lines are reserved for some other use? It seems I
> > cannot legally do so!
> 
> How about saying "either first or last lines"?

What if both first and last lines are reserved for other uses?

> 
> > The license does not seem to be GPLv2-compatible, as clause 3 is a
> > weak copyleft constraint: it seems that I cannot combine a page
> > under this
> 
> I've removed that one.
> 
> > If you are going to propose a BSD-style license, I would strongly
> > recommend the (unmodified) 2-clause BSD license:
> > http://www.gnu.org/licenses/info/BSD_2Clause.html
> 
> The attached license is quite similar to the BSD license with the only
> differences being that there is no 'binary' form, there's just a
> compiled form of the site (and explicitly lists some formats which the
> source might be compiled too).

This explicit listing of formats is one of the main problems with the
license you're proposing: it ties things up to specific technical
details that are really going to become obsolete soon.
Good licenses try hard to avoid that.

[...]
> In the website is not (c) SPI then
> our current footer really doesn't make any sense.

Indeed.

> 
> > > e) from here on access to the CVS of the website should be given
> > > after
> > >    clearly stating (and getting and agreement) that any and all
> > >    contributions to the CVS, unless specified otherwise with clear
> > >    (c) statements in the code, will be (c) SPI and will be
> > >    considered "work under contract" 
> > 
> > I don't think you can claim it's work under contract, unless there
> > actually *is* a contract involved!
> > Voluntary contributions are not "work under contract", AFAICT.
> 
> The idea of that portion, which might be misunderstood as the wording
> is not really accurate, is that if volunteers argue they "worked" for
> SPI for the website development there is no need to have paperwork
> done for the (c) transfer. If we drop the (c) transfer portion (I'm
> open to that, if people don't want it to be there) then this should be
> dropped too.
> 
> AFAIK (in Spanish legislation at least) volunteer work can be
> considered work "for contract" (note the quotes) in the sense that you
> work for a company (a volunteer organisation) for free and you waive
> the rights to your work to it (including IP rights, and copyrights).
> Since there is no real written "contract" this does not conflict with
> the fact that the company you work for (the one you have a contract
> with) might have stated that you cannot work for others while working
> for them.

I don't know if this argument could actually work in Spain.
I really doubt it can work in *any* jurisdiction where at least one
contributor lives...

> 
> As I said, however, those steps could be dropped, but then we have to
> ask every contributor to have their contributions licensed under this
> license (and cross our fingers that we will not have to change it in
> the future). We should also probably have to change the (c) portion to
> list people that have contributed in the site or, at the very least,
> say that SPI is not the (c) holder.

Listing contributors would be nice.
It must be done at least in comments, as long as contributors retain
their copyright, so why not doing it in a visible way?



N.B.: no need to Cc: me, as long as debian-legal is in the loop...


-- 
    :-(   This Universe is buggy! Where's the Creator's BTS?   ;-)
......................................................................
  Francesco Poli                             GnuPG Key ID = DD6DFCF4
 Key fingerprint = C979 F34B 27CE 5CD8 DC12  31B5 78F4 279B DD6D FCF4

[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#238245; Package www.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Don Armstrong <don@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. Full text and rfc822 format available.

Message #133 received at 238245@bugs.debian.org (full text, mbox):

From: Don Armstrong <don@debian.org>
To: debian-legal@lists.debian.org, debian-www@lists.debian.org, 238245@bugs.debian.org
Cc: SPI Board of Directors <board@spi-inc.org>
Subject: Re: Proposed plan (and license) for the webpage relicensing
Date: Thu, 20 Apr 2006 15:48:09 -0700
On Wed, 19 Apr 2006, Javier Fernández-Sanguino Peña wrote:
> In summary: The web pages license content should be changed from the
> OPL (non DFSG-free) to some other license (DFSG-free). As it is, the
> current content is not GPL compatible (so it cannot be reused, for
> example, in documentation produced by the DDP project).
> 
> This issue was brought up last in October 2005 to the SPI board and they said
> (based on the IRC log [2] there doesn't seem to be any minutes) that
> debian-www should tell them what to do. I don't find any other references to 
> this in the SPI Board archives.
> 
> So, Here's the plan I propose:
> 
> a) a proper license should be decided for the website.
> 
>    I suggest using a BSD-style license. The attached license is such a
>    license. It is  based on the FreeBSD documentation license [3] and
>    explicitely mentions translations.  In our case (the website) the
>    'source code' is the wml, but I leave references to other sources (SGML,
>    XML) that might apply to other documentation that the website might hold.

Should we decide to change the license, we should either use the MIT
license if we don't want it to be copyleft, or the GPL if we do. A
custom license is not something that we want to write, and especially
not without serious thought and consideration between people who have
a great deal of experience in writing licenses.
 
Contributing to license proliferation by a license which is not
compatible with the GPL and some other free software licenses is not
something that we want to do.


Don Armstrong

-- 
"There's nothing remarkable about it. All one has to do is hit the    
right keys at the right time and the instrument plays itself."
 -- Bach 

http://www.donarmstrong.com              http://rzlab.ucr.edu



Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#238245; Package www.debian.org. Full text and rfc822 format available.

Acknowledgement sent to MJ Ray <mjr@phonecoop.coop>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. Full text and rfc822 format available.

Message #138 received at 238245@bugs.debian.org (full text, mbox):

From: MJ Ray <mjr@phonecoop.coop>
To: <debian-www@lists.debian.org>,<238245@bugs.debian.org>,<debian-legal@lists.debian.org>
Subject: Re: Proposed plan (and license) for the webpage relicensing
Date: Fri, 21 Apr 2006 10:52:46 +0100
Javier =?iso-8859-1?Q?Fern=E1ndez-Sanguino_Pe=F1a?= <jfs@computer.org>
> a) a proper license should be decided for the website.
> 
>    I suggest using a BSD-style license. The attached license is such a
>    license.

I suggest using a BSD-style licence as default, but the attached one
is not one. Do we have other stuff under FBSD-doc terms?

[...]
> b) old contributors to the web site (i.e. all that have had CVS access to the
>    WWW CVS are for the past 10 years) should be contacted and ask to
>    agree to this license change.

I will help with this, if you wish.  I think I know how to get
today's contributors (webwml group) and any since the current
CVS started (cvs history and logs) but how to get 'em all?

> c) a note should be added to the Debian site (as a News item?) describing the
>    license change (and the reasons for the change) and giving a 6 month
>    period for comments.

I suggest shortening this period.

> d) new contributors during that period should be asked to agree to the
>    license change and to transfer (c) to SPI (GPG/PGP signed e-mail would be
>    a requisite for contributing, a paper trail would be even best)

Just seek a licence, rather than assignment.

> e) from here on access to the CVS of the website should be given after
>    clearly stating (and getting and agreement) that any and all contributions
>    to the CVS, unless specified otherwise with clear (c) statements in the
>    code, will be (c) SPI and will be considered "work under contract"

I don't understand why you think a contract is formed, as
the contributor is not getting anything in exchange for their
work. However, it seems a good idea for SPI to assert a copyright
interest in the work.

cc: -legal and -www only

Hope that helps,
-- 
MJR/slef
Laux nur mia opinio: vidu http://people.debian.org/~mjr/
Bv sekvu http://www.uk.debian.org/MailingLists/#codeofconduct




Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#238245; Package www.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Bdale Garbee <bdale@gag.com>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. Full text and rfc822 format available.

Message #143 received at 238245@bugs.debian.org (full text, mbox):

From: Bdale Garbee <bdale@gag.com>
To: Don Armstrong <don@debian.org>
Cc: debian-legal@lists.debian.org, debian-www@lists.debian.org, 238245@bugs.debian.org, SPI Board of Directors <board@spi-inc.org>
Subject: Re: Proposed plan (and license) for the webpage relicensing
Date: Fri, 21 Apr 2006 10:56:30 -0600
On Thu, 2006-04-20 at 15:48 -0700, Don Armstrong wrote:

> Should we decide to change the license, we should either use the MIT
> license if we don't want it to be copyleft, or the GPL if we do. A
> custom license is not something that we want to write, and especially
> not without serious thought and consideration between people who have
> a great deal of experience in writing licenses.
>  
> Contributing to license proliferation by a license which is not
> compatible with the GPL and some other free software licenses is not
> something that we want to do.

Thank you for saying that before I could get around to it, Don.  I
strongly agree.

Bdale




Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#238245; Package www.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Francesco Poli <frx@firenze.linux.it>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. Full text and rfc822 format available.

Message #148 received at 238245@bugs.debian.org (full text, mbox):

From: Francesco Poli <frx@firenze.linux.it>
To: debian-legal@lists.debian.org
Cc: debian-www@lists.debian.org, 238245@bugs.debian.org, board@spi-inc.org
Subject: Re: Proposed plan (and license) for the webpage relicensing
Date: Sat, 22 Apr 2006 00:40:35 +0200
[Message part 1 (text/plain, inline)]
On Fri, 21 Apr 2006 10:56:30 -0600 Bdale Garbee wrote:

> On Thu, 2006-04-20 at 15:48 -0700, Don Armstrong wrote:
> 
> > Should we decide to change the license, we should either use the MIT
> > license if we don't want it to be copyleft, or the GPL if we do. A
> > custom license is not something that we want to write, and
> > especially not without serious thought and consideration between
> > people who have a great deal of experience in writing licenses.
> >  
> > Contributing to license proliferation by a license which is not
> > compatible with the GPL and some other free software licenses is not
> > something that we want to do.
> 
> Thank you for saying that before I could get around to it, Don.  I
> strongly agree.

Needless to say, I agree too (as it should already be clear from my
other contributions to this discussion...).


-- 
    :-(   This Universe is buggy! Where's the Creator's BTS?   ;-)
......................................................................
  Francesco Poli                             GnuPG Key ID = DD6DFCF4
 Key fingerprint = C979 F34B 27CE 5CD8 DC12  31B5 78F4 279B DD6D FCF4
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#238245; Package www.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Javier Fernández-Sanguino Peña <jfs@computer.org>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. Full text and rfc822 format available.

Message #153 received at 238245@bugs.debian.org (full text, mbox):

From: Javier Fernández-Sanguino Peña <jfs@computer.org>
To: debian-legal@lists.debian.org, debian-www@lists.debian.org, 238245@bugs.debian.org, SPI Board of Directors <board@spi-inc.org>
Subject: Re: Bug#238245: Proposed plan (and license) for the webpage relicensing
Date: Sat, 22 Apr 2006 01:22:53 +0200
[Message part 1 (text/plain, inline)]
On Thu, Apr 20, 2006 at 03:48:09PM -0700, Don Armstrong wrote:
> Should we decide to change the license, we should either use the MIT
> license if we don't want it to be copyleft, or the GPL if we do. A
> custom license is not something that we want to write, and especially
> not without serious thought and consideration between people who have
> a great deal of experience in writing licenses.

The last proposed licensed I sent is *not* a "new" license. It
is simply this license:
http://www.freebsd.org/copyright/freebsd-doc-license.html

The only change I made to it was substituting "FreeBSD Documentation Project"
for "Debian Project".

I don't believe the MIT license (without making changes to it to make it
explicitly list only *documents* instead of *software*) or the GPL would be
appropiate for many items in the web pages. But that might be just me.

> Contributing to license proliferation by a license which is not
> compatible with the GPL and some other free software licenses is not
> something that we want to do.

Please tell me how the last license I sent is incompatible to either the GPL
or any other free software license. Notice I would like to know it not for
the sake of this discussion, but for the sake of knowing how/if FreeBSD
documentation could be reused in Debian Documentation (most of which is
currently GPLd BTW).

Regards

Javier
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#238245; Package www.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Javier Fernández-Sanguino Peña <jfs@computer.org>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. Full text and rfc822 format available.

Message #158 received at 238245@bugs.debian.org (full text, mbox):

From: Javier Fernández-Sanguino Peña <jfs@computer.org>
To: debian-legal@lists.debian.org, debian-www@lists.debian.org, 238245@bugs.debian.org, SPI Board of Directors <board@spi-inc.org>
Subject: Re: Bug#238245: Proposed plan (and license) for the webpage relicensing
Date: Sat, 22 Apr 2006 01:25:11 +0200
[Message part 1 (text/plain, inline)]
On Sat, Apr 22, 2006 at 01:22:53AM +0200, Javier Fernández-Sanguino Peña wrote:
> On Thu, Apr 20, 2006 at 03:48:09PM -0700, Don Armstrong wrote:
> > Should we decide to change the license, we should either use the MIT
> > license if we don't want it to be copyleft, or the GPL if we do. A
> > custom license is not something that we want to write, and especially
> > not without serious thought and consideration between people who have
> > a great deal of experience in writing licenses.
> 
> The last proposed licensed I sent is *not* a "new" license. It
> is simply this license:
> http://www.freebsd.org/copyright/freebsd-doc-license.html

Actually, it seems I did not attach the last version of the proposed license
in my last message. Attached now.

Regards

Javier
[proposed_debian-www_license.txt (text/plain, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#238245; Package www.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Don Armstrong <don@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. Full text and rfc822 format available.

Message #163 received at 238245@bugs.debian.org (full text, mbox):

From: Don Armstrong <don@debian.org>
To: debian-legal@lists.debian.org, debian-www@lists.debian.org, 238245@bugs.debian.org
Cc: SPI Board of Directors <board@spi-inc.org>
Subject: Re: Bug#238245: Proposed plan (and license) for the webpage relicensing
Date: Sat, 22 Apr 2006 06:40:11 -0700
[Message part 1 (text/plain, inline)]
On Sat, 22 Apr 2006, Javier Fernández-Sanguino Peña wrote:
> On Thu, Apr 20, 2006 at 03:48:09PM -0700, Don Armstrong wrote:
> > Should we decide to change the license, we should either use the MIT
> > license if we don't want it to be copyleft, or the GPL if we do. A
> > custom license is not something that we want to write, and especially
> > not without serious thought and consideration between people who have
> > a great deal of experience in writing licenses.
> 
> The last proposed licensed I sent is *not* a "new" license. It
> is simply this license:
> http://www.freebsd.org/copyright/freebsd-doc-license.html
> 
> The only change I made to it was substituting "FreeBSD Documentation
> Project" for "Debian Project".

You've sent two totally different licenses to the list so far; I was
refering specifically to the license which was attached to the message
which I responded to. It should be clear why that particular license
is not GPL compatible.

Indeed, neither of the two licenses you've sent are just s/FreeBSD
Documentation/Debian/g; replacements... each of them have contained
other changes. Making modifications to an existing license has many of
the same pitfalls that drafting a totally new license does, and it's
not something that we want to get in the business of doing.[1]

> I don't believe the MIT license (without making changes to it to
> make it explicitly list only *documents* instead of *software*) or
> the GPL would be appropiate for many items in the web pages. But
> that might be just me.

If this is something that you're woried about, you can just replace
software with work. Indeed, the GPLv3 does this because there's no
point in generating confusion amoung people who think that software
means programs instead of meaning information that is represented in a
digital fashion. But frankly, it really makes no difference. Everyone
understands what you're supposed to do when you've got a GPLed work;
you just include the prefered form for modification. With an MITed
work there should be no confusion at all.
 
> Please tell me how the last license I sent is incompatible to either
> the GPL or any other free software license. Notice I would like to
> know it not for the sake of this discussion, but for the sake of
> knowing how/if FreeBSD documentation could be reused in Debian
> Documentation (most of which is currently GPLd BTW).

The FreeBSD documentation license is not compatible with the GPL
because it has a restriction on modification which the GPL itself does
not contain. It explicitely requires you to include the license as the
first lines of the file, unmodified, instead of including them in an
appropriate location.

The license you responded to this message with is not the FreeBSD
documentation license, so I've no desire to comment on it.


Don Armstrong
 
1: For those following allong at home, see the attached wdiffs.
-- 
Information wants to be free to kill again.
 -- Red Robot http://www.dieselsweeties.com/archive.php?s=1372


http://www.donarmstrong.com              http://rzlab.ucr.edu
[freebsd_v_debian_v1.wdiff (text/plain, attachment)]
[freebsd_v_debian_v2.wdiff (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#238245; Package www.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Florian Weimer <fw@deneb.enyo.de>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. Full text and rfc822 format available.

Message #168 received at 238245@bugs.debian.org (full text, mbox):

From: Florian Weimer <fw@deneb.enyo.de>
To: debian-legal@lists.debian.org
Cc: debian-www@lists.debian.org, 238245@bugs.debian.org, SPI Board of Directors <board@spi-inc.org>
Subject: Re: Bug#238245: Proposed plan (and license) for the webpage relicensing
Date: Sat, 22 Apr 2006 16:47:53 +0200
* Javier Fernández-Sanguino Peña:

> Copyright 1997-2006 Software in the Public Interest, Inc. All rights reserved.

Is this correct?  Have all contributors assigned copyright to SPI?

>    2. Redistributions in compiled form (transformed to other DTDs, converted
>    to HTML, PDF, PostScript, RTF and other formats) must reproduce the above
>    copyright notice, this list of conditions and the following disclaimer in
>    the documentation and/or other materials provided with the distribution.

It looks to me as if this requires that the license and disclaimer
needs to be reproduced at the bottom of each web page (because that's
what you get as the "distribution" when you just request a single
page).  I don't think this is a good idea.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#238245; Package www.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Javier Fernández-Sanguino Peña <jfs@computer.org>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. Full text and rfc822 format available.

Message #173 received at 238245@bugs.debian.org (full text, mbox):

From: Javier Fernández-Sanguino Peña <jfs@computer.org>
To: debian-legal@lists.debian.org, debian-www@lists.debian.org, 238245@bugs.debian.org, SPI Board of Directors <board@spi-inc.org>
Subject: Re: Bug#238245: Proposed plan (and license) for the webpage relicensing
Date: Sun, 23 Apr 2006 06:15:26 +0200
[Message part 1 (text/plain, inline)]
On Sat, Apr 22, 2006 at 06:40:11AM -0700, Don Armstrong wrote:
> > The only change I made to it was substituting "FreeBSD Documentation
> > Project" for "Debian Project".
> 
> You've sent two totally different licenses to the list so far; I was
> refering specifically to the license which was attached to the message
> which I responded to. It should be clear why that particular license
> is not GPL compatible.

The first one was much discussed. The second one was my proposed version
based on that discussion (unfortunately, I did not attach it when I should
have done it)

> Indeed, neither of the two licenses you've sent are just s/FreeBSD
> Documentation/Debian/g; replacements... each of them have contained
> other changes. Making modifications to an existing license has many of
> the same pitfalls that drafting a totally new license does, and it's
> not something that we want to get in the business of doing.[1]

Please review the changes to the *second* proposal:

1- s/FreeBSD/Debian/
2- remove SGML as the sources, since it does not apply to all our
documentation and, moreover, does not apply to the website (sources are 
mostly WML)
3- add HTML as an output
4- remove the limitation of having the license text in the first lines of the
  file
5- add a reference to translations (could be considered a "modification" to
  the source, however they are not in international IP law)

2 and 3 are *technical* changes to notes, they do not affect the license at all.
4 was requested in this list and I do agree that is necessary.
5 was added on my behalf and has no real impact on the license since, in its
absence, a translation would be considered a "modification" of the source.

I don't believe any of these changes introduces any new pitfalls, quite
the contrary, it removes them.

> If this is something that you're woried about, you can just replace
> software with work. Indeed, the GPLv3 does this because there's no
> point in generating confusion amoung people who think that software
> means programs instead of meaning information that is represented in a
> digital fashion. But frankly, it really makes no difference. Everyone
> understands what you're supposed to do when you've got a GPLed work;
> you just include the prefered form for modification. With an MITed
> work there should be no confusion at all.

There is no MITed "work" license, the MIT license explicitly mentions
software too. As for GPLv3, I will not get into details, but I rather not use
that license.

> The FreeBSD documentation license is not compatible with the GPL
> because it has a restriction on modification which the GPL itself does
> not contain. It explicitely requires you to include the license as the
> first lines of the file, unmodified, instead of including them in an
> appropriate location.

And that's precisely what I changed in my second proposal (which should have
been attached to Message-ID: <20060419233743.GA4068@javifsp.no-ip.org>)

Regards

Javier
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#238245; Package www.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Javier Fernández-Sanguino Peña <jfs@computer.org>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. Full text and rfc822 format available.

Message #178 received at 238245@bugs.debian.org (full text, mbox):

From: Javier Fernández-Sanguino Peña <jfs@computer.org>
To: Florian Weimer <fw@deneb.enyo.de>, 238245@bugs.debian.org
Cc: debian-legal@lists.debian.org, debian-www@lists.debian.org, SPI Board of Directors <board@spi-inc.org>
Subject: Re: Bug#238245: Proposed plan (and license) for the webpage relicensing
Date: Sun, 23 Apr 2006 06:21:07 +0200
[Message part 1 (text/plain, inline)]
On Sat, Apr 22, 2006 at 04:47:53PM +0200, Florian Weimer wrote:
> * Javier Fernández-Sanguino Peña:
> 
> > Copyright 1997-2006 Software in the Public Interest, Inc. All rights reserved.
> 
> Is this correct?  Have all contributors assigned copyright to SPI?

Contributor assignment and the license itself are two different things. We
could just have the license and have a (c) statement different from the
above. Please don't mix stuff.

> >    2. Redistributions in compiled form (transformed to other DTDs, converted
> >    to HTML, PDF, PostScript, RTF and other formats) must reproduce the above
> >    copyright notice, this list of conditions and the following disclaimer in
> >    the documentation and/or other materials provided with the distribution.
> 
> It looks to me as if this requires that the license and disclaimer
> needs to be reproduced at the bottom of each web page (because that's
> what you get as the "distribution" when you just request a single
> page).  I don't think this is a good idea.

You're streching this a bit. The *whole* web site is the redistribution
of the sources and having a footer link that points to the license is just
as well. If you want to include a *single* file of the website (in a
document, in a package, whatever) then you should carry the license itself.
That is commonly done, in packages, in debian/copyright. I do think it makes
sense both for the website usage and for reuse in other locations (i.e.
packages like debian-doc).

That being said, we could change the website to make the license available in
every single page (maybe through HTML comments at the end of the pages to
prevent cluttering them). But I don't believe that would be necessary (or
sensible [1])

Regards

Javier

[1] As it would increase all page's size by 1571 bytes.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#238245; Package www.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Don Armstrong <don@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. Full text and rfc822 format available.

Message #183 received at 238245@bugs.debian.org (full text, mbox):

From: Don Armstrong <don@debian.org>
To: debian-legal@lists.debian.org, debian-www@lists.debian.org, 238245@bugs.debian.org
Subject: Re: Bug#238245: Proposed plan (and license) for the webpage relicensing
Date: Sat, 22 Apr 2006 21:58:11 -0700
To further underline what I have been saying, I object to any of my
(currently embarrassingly minor) contributions to the Debian web page
to be licensed under the terms of the proposed "Debian Free
Documentation License" or any other license which has been specially
drafted for the Debian web pages. We should be using existing, widely
examined and vetted licenses instead of bothering with writing our
own.[1]

If you have further questions about this issue, please e-mail me
privately off list so -www can go back to doing more substantiative
things.

On Sun, 23 Apr 2006, Javier Fernández-Sanguino Peña wrote:
> On Sat, Apr 22, 2006 at 06:40:11AM -0700, Don Armstrong wrote:
> > Indeed, neither of the two licenses you've sent are just s/FreeBSD
> > Documentation/Debian/g; replacements... each of them have
> > contained other changes.
> 
> 1- s/FreeBSD/Debian/
> 2- remove SGML as the sources, since it does not apply to all our
> documentation and, moreover, does not apply to the website (sources are 
> mostly WML)

You have effectively removed any definition in the license as to what
source code is.

> 3- add HTML as an output

The license explicitly lists the output forms that can be generated
from the source which is definetly suboptimal.

> 5- add a reference to translations (could be considered a
>   "modification" to the source, however they are not in
>   international IP law)

Lets stop here before going any further: There's no such thing as
"international IP law". The very term "IP" is in itself a massive
confusion of three separate branches of law which differ widely
between different jurisdictions. Furthermore, it's definetly not clear
that in any of the jursidictions that I'm aware of that a translation
would not be subject to the rules of the license that apply to any
other form of derivative work. If you know differently, please cite
relevant law and/or cases.

> 2 and 3 are *technical* changes to notes, they do not affect the
> license at all.

2 and 3 quite clearly affect the license.

> I don't believe any of these changes introduces any new pitfalls,
> quite the contrary, it removes them.
 
> > With an MITed work there should be no confusion at all.
> 
> There is no MITed "work" license,

I'm refering to a work licensed under the MIT license. If it's too
confusing, you can s/software/work/.

> the MIT license explicitly mentions software too.

If we can distribute it in Debian, it's software. We use work in place
of software to avoid this exactly line of argument, but it should be
abundantly clear what software means in this context.

> As for GPLv3, I will not get into details, but I rather not use that
> license.

You cannot use it yet because it does not yet exist in it's final
form. That said, if you have a problem with GPLv3, you should be
discussing those problems using gplv3.fsf.org so those of us who are
on committees can address the issues that you have with the license.
[Of course, if your issue is with copyleft licenses in general,
there's not much that I'm going to be able to do for you.]
 

Don Armstrong


1: Considering the fact that I've been relatively heavily involved in
the committee part of the GPLv3 process, I'd say that I have a
relatively reasonable understanding of the amount of work that it
takes to fully understand the consequences of a license change which
is not altogether grand in it's scope. It's 4 months into the process,
and we're still discovering new problems.
-- 
Of course, there are ceases where only a rare individual will have the
vision to perceive a system which governs many people's lives; a
system which had never before even been recognized as a system; then
such people often devote their lives to convincing other people that
the system really is there and that it aught to be exited from. 
 -- Douglas R. Hofstadter _Gödel Escher Bach. Eternal Golden Braid_

http://www.donarmstrong.com              http://rzlab.ucr.edu



Bug 238245 cloned as bug 388141. Request was from Nathanael Nerode <neroden@fastmail.fm> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Nathanael Nerode <neroden@fastmail.fm> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title to `www.debian.org SPI copyright claim not legally valid until all contributors are contacted for relicensing' from `www.debian.org copyright statements are false & website is illegal to publish until all contributors are contacted for relicensing'. Request was from Josip Rodin <joy@debbugs.entuzijast.net> to control@bugs.debian.org. (Wed, 30 May 2007 18:03:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#388141; Package www.debian.org. Full text and rfc822 format available.

Acknowledgement sent to MJ Ray <mjr@phonecoop.coop>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. Full text and rfc822 format available.

Message #194 received at 388141@bugs.debian.org (full text, mbox):

From: MJ Ray <mjr@phonecoop.coop>
To: 388141@bugs.debian.org, 238245@bugs.debian.org
Subject: Discussions elsewhere
Date: Wed, 12 Mar 2008 15:51:55 +0000
These two bugs are being discussed by DPL candidates after
http://lists.debian.org/debian-vote/2008/03/msg00065.html
and the current DPL has been asked the current status by an SPI
board member, as reported in
http://lists.spi-inc.org/pipermail/spi-general/2008-March/002538.html

One candidate's team in the -vote thread suggests writing up a DEP.

Can we reach broad consensus on 2-clause-BSD-style as default with
other DFSG licences like GPLv2 being allowed?  If that's not
acceptable, please say what change needs to be made for you to agree.

Thanks for any help,
-- 
MJR/slef
My Opinion Only: see http://people.debian.org/~mjr/
Please follow http://www.uk.debian.org/MailingLists/#codeofconduct





Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#388141; Package www.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Holger Levsen <holger@layer-acht.org>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. Full text and rfc822 format available.

Message #199 received at 388141@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@layer-acht.org>
To: 388141@bugs.debian.org
Subject: Re: Bug#388141: Discussions elsewhere
Date: Wed, 12 Mar 2008 19:55:48 +0100
[Message part 1 (text/plain, inline)]
Hi,

On Wednesday 12 March 2008 16:51, MJ Ray wrote:
> Can we reach broad consensus on 2-clause-BSD-style as default with
> other DFSG licences like GPLv2 being allowed?  

I'd prefer it vice versa. After all its Debian GNU/Linux, not BSD ;)


regards,
	Holger
[Message part 2 (application/pgp-signature, inline)]

Added indication that bug 388141 blocks 614497 Request was from Francesco Poli <invernomuto@paranoici.org> to control@bugs.debian.org. (Mon, 21 Feb 2011 23:31:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#388141; Package www.debian.org. (Tue, 03 Jan 2012 19:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Prévot <david@tilapin.org>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. (Tue, 03 Jan 2012 19:00:03 GMT) Full text and rfc822 format available.

Message #206 received at 388141@bugs.debian.org (full text, mbox):

From: David Prévot <david@tilapin.org>
To: 388141@bugs.debian.org, Stefano Zacchiroli <leader@debian.org>
Subject: Handling the copyright mess of the website
Date: Tue, 03 Jan 2012 14:56:48 -0400
[Message part 1 (text/plain, inline)]
Hi,

Since this year began with the website being free of the old charset
mess, I wonder if we could continue, and try to address as much as we
can of the copyright/license mess, starting with the copyright.

Talking on IRC with Rhonda and others, we came to the conclusion that
even if we'll have trouble to handle the previous mess, nothing should
stop us to address the future one.

I don't know what would be the best approach for future contributors
(i.e. I don't know if we'll need to ask them explicitly for their
consent, or if a page on our website would be enough), but for current
and past contributors, we need their consent.

We could contact every current contributor, and ask them if they are OK to:
- grant copyright of their future contributions to SPI;
- grant copyright of their past contributions to SPI.

If they refuse to grant copyright of their future contributions to SPI,
or if they don't respond, the first action would be to remove their
commit access, so starting at <date> 2012, all the new content of the
website will be copyright SPI.


We'll then have to contact previous contributors (that don't have commit
access anymore) and ask them to grant copyright of their previous
contributions to SPI.

Once the cleanup is done for future contribution, starting at <date>, we
can tag all previous pages that are not fully copyright SPI, using a tag
that can be handled later with some WML magic, e.g.:

#use wml::debian::copyright years="1997, 1999" holder="John Doe"
#use wml::debian::copyright years="2007-2011" holder="Jane Doe"

if John Doe edited the page in 1997 and 1999 and Jane Doe between 2007
and 2011, and those are the only editors of this page who didn't grant
their copyright to SPI.

We'll of course add this footer in translations too, and maybe some more
lines will be needed there (if translators didn't grant their copyright
to SPI). Translation coordinators will of course be of great help if
they can handle their translated part of the website.


Unless someone objects on the principle, we'll start bugging
coordinators with this request. The DPN could give input about the
better approach to handle and draft these request, I don't know if we
need something as formal as the FSF does for translation [0], asking to
reply on the webmaster@d.o address might be enough (it will be archived
on master.d.o), the same way we ask new developers to agree with DMUP.

	0: http://translationproject.org/html/whydisclaim.html

Once the copyright granted to SPI, it will be a lot easier to address
the licensing issue, but I would prefer not to take care of everything
at once (given past experience, trying to do everything at once is
doomed to fail): this is a long standing issue that has seen no update
in years, and as stated, I'd be in favor to
- first: handle copyright for future contributions;
- second: handle copyright for past contributions;
- third: handle copyright exceptions that will allow us to relicense the
website content.

Regards

David

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#388141; Package www.debian.org. (Wed, 04 Jan 2012 09:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefano Zacchiroli <leader@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. (Wed, 04 Jan 2012 09:45:04 GMT) Full text and rfc822 format available.

Message #211 received at 388141@bugs.debian.org (full text, mbox):

From: Stefano Zacchiroli <leader@debian.org>
To: David Prévot <david@tilapin.org>
Cc: 388141@bugs.debian.org
Subject: Re: Handling the copyright mess of the website
Date: Wed, 4 Jan 2012 10:42:25 +0100
[Message part 1 (text/plain, inline)]
On Tue, Jan 03, 2012 at 02:56:48PM -0400, David Prévot wrote:
> Once the copyright granted to SPI, it will be a lot easier to address
> the licensing issue, but I would prefer not to take care of everything
> at once (given past experience, trying to do everything at once is
> doomed to fail): this is a long standing issue that has seen no update
> in years, and as stated, I'd be in favor to
> - first: handle copyright for future contributions;
> - second: handle copyright for past contributions;
> - third: handle copyright exceptions that will allow us to relicense the
> website content.

FWIW, thumbs up. Thanks for devising and working on this plan, to you
and the other -www folks.

I confess it is hard for me to imagine the ratio of how many people will
respond, in which time frame. Ultimately, I cannot imagine how many
pages will be affected by the impossibility to relicense them. But those
metrics will be of paramount importance to decide what to do in the end.
One thing that could help with that is then monitor the various figures
and their evolution overtime (yeah, I know, "patches welcome" :-)).

Good luck with this challenging, but very important, topic!

Cheers.
-- 
Stefano Zacchiroli     zack@{upsilon.cc,pps.jussieu.fr,debian.org} . o .
Maître de conférences   ......   http://upsilon.cc/zack   ......   . . o
Debian Project Leader    .......   @zack on identi.ca   .......    o o o
« the first rule of tautology club is the first rule of tautology club »
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#388141; Package www.debian.org. (Wed, 04 Jan 2012 11:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Charles Plessy <plessy@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. (Wed, 04 Jan 2012 11:24:31 GMT) Full text and rfc822 format available.

Message #216 received at 388141@bugs.debian.org (full text, mbox):

From: Charles Plessy <plessy@debian.org>
To: 388141@bugs.debian.org
Subject: Re: Bug#388141: Handling the copyright mess of the website
Date: Wed, 4 Jan 2012 20:20:53 +0900
Le Tue, Jan 03, 2012 at 02:56:48PM -0400, David Prévot a écrit :
> 
> We could contact every current contributor, and ask them if they are OK to:
> - grant copyright of their future contributions to SPI;
> - grant copyright of their past contributions to SPI.
> 
… 
> 
> Unless someone objects on the principle, we'll start bugging
> coordinators with this request. The DPN could give input about the
> better approach to handle and draft these request, I don't know if we
> need something as formal as the FSF does for translation [0], asking to
> reply on the webmaster@d.o address might be enough (it will be archived
> on master.d.o), the same way we ask new developers to agree with DMUP.
> 
> 	0: http://translationproject.org/html/whydisclaim.html

Hello David,

I think that the disclaimer to the FSF is not the same as a copyright transfer,
and may be actually more appropriate as a starting point (or http://unlicense.org/ ).

Otherwise, if you chose copyright transfers (and associated objections, as in
my understanding, copyright transfer does not exist in some countries), I think
that it would be fair to at least indicate if the license that is considered
will be copyleft or not.

Have a nice day,

-- 
Charles Plessy
Tsurumi, Kanagawa, Japan




Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#388141; Package www.debian.org. (Wed, 04 Jan 2012 13:39:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tommi Vainikainen <tvainika@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. (Wed, 04 Jan 2012 13:39:08 GMT) Full text and rfc822 format available.

Message #221 received at 388141@bugs.debian.org (full text, mbox):

From: Tommi Vainikainen <tvainika@debian.org>
To: David Prévot <david@tilapin.org>
Cc: 388141@bugs.debian.org, Stefano Zacchiroli <leader@debian.org>
Subject: Re: Bug#388141: Handling the copyright mess of the website
Date: Wed, 04 Jan 2012 15:34:52 +0200
David Prévot <david@tilapin.org> writes:
> I don't know what would be the best approach for future contributors
> (i.e. I don't know if we'll need to ask them explicitly for their
> consent, or if a page on our website would be enough), but for current
> and past contributors, we need their consent.
>
> We could contact every current contributor, and ask them if they are OK to:
> - grant copyright of their future contributions to SPI;
> - grant copyright of their past contributions to SPI.

I believe that copyright transfers are wrong path. Neither other
contributions to Debian project require copyright assignments and also
there does not seem to be consensus that copyright could be even
transferred without paper as in dead trees involved. Also, discussions
during many years in #388141 seems to indicate that not even all Debian
developers would be willing to assign copyright.

IMHO, your strategy works just fine if the request is instead only for a
license change. It can be a generic statement from authors such as any
future license change by Debian project leader decision or just giving
list of licenses as options.

Anyway this work can be started with by writing this
wml::debian::copyright tag, and start filling pages with that
information about authors. After there is list of authors, it is also
easier to request permissions to either license change or copyright
assignment. AFAIK, currently there isn't full list of all authors to
website.

Together with author information per page, I think we should add e.g.
copyright.txt to CVS root directory which contains information per
author, which relicensing are fine, or possible copyright transfer to
SPI.

-- 
Tommi Vainikainen




Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#388141; Package www.debian.org. (Wed, 04 Jan 2012 16:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to MJ Ray <mjr@phonecoop.coop>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. (Wed, 04 Jan 2012 16:36:03 GMT) Full text and rfc822 format available.

Message #226 received at 388141@bugs.debian.org (full text, mbox):

From: MJ Ray <mjr@phonecoop.coop>
To: debian-www@lists.debian.org
Cc: 388141@bugs.debian.org, leader@debian.org
Subject: Re: Bug#388141: Handling the copyright mess of the website
Date: Wed, 04 Jan 2012 16:00:22 +0000
David Prévot <david@tilapin.org>
> If they refuse to grant copyright of their future contributions to SPI,
> or if they don't respond, the first action would be to remove their
> commit access, so starting at <date> 2012, all the new content of the
> website will be copyright SPI.

That seems a bad situation in two ways: 1. even though I think SPI is
A Good Thing, I will not assign copyright to it because I feel that
would make it more attractive to attackers.  SPI already holds too
many assets for too long, in my opinion.

2. I feel that forcing a choice between copyright assignment and being
airbrushed out of the website is rather at odds with the usual idea of
voluntary contributions to the project.  It seems like demanding a fee
before work is considered on its merits for inclusion.

Nevertheless, I probably would grant DPLs (or suitable delegates)
permission to pick a dual licence for material on the website if
asked, so long as the previous licence(s) also held.

Hope that informs,
-- 
MJ Ray (slef), member of www.software.coop, a for-more-than-profit co-op.
http://koha-community.org supporter, web and library systems developer.
In My Opinion Only: see http://mjr.towers.org.uk/email.html
Available for hire (including development) at http://www.software.coop/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#388141; Package www.debian.org. (Sun, 08 Jan 2012 14:12:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Prévot <taffit@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. (Sun, 08 Jan 2012 14:12:09 GMT) Full text and rfc822 format available.

Message #231 received at 388141@bugs.debian.org (full text, mbox):

From: David Prévot <taffit@debian.org>
To: 388141@bugs.debian.org, Stefano Zacchiroli <leader@debian.org>
Subject: Re: Bug#388141: Handling the copyright mess of the website
Date: Sun, 08 Jan 2012 10:09:43 -0400
[Message part 1 (text/plain, inline)]
Hi,

Le 04/01/2012 07:20, Charles Plessy a écrit :
> Le Tue, Jan 03, 2012 at 02:56:48PM -0400, David Prévot a écrit :
>>
>> We could contact every current contributor, and ask them if they are OK to:
>> - grant copyright of their future contributions to SPI;
>> - grant copyright of their past contributions to SPI.

Le 04/01/2012 07:20, Charles Plessy a écrit :
> I think that the disclaimer to the FSF is not the same as a copyright transfer,
> and may be actually more appropriate as a starting point (or http://unlicense.org/ ).

Here is a draft of a text (more than) inspired by those examples, we
could ask people to send it us back, signed with their public GPG key if
possible (will ask for proofread on debian-legal before actually sending
those request):

  I hereby acknowledge to Software in the Public Interest, Inc.
  non-profit organization of Indianapolis, United States,, that I
  disclaim all copyright interest in my works, which consist of
  edition or translation of portions of text from one human language to
  another human language, that I have provided to the Debian website or
  that I will provide in the future.

  To the best of my knowledge and belief, my contributions are either
  originally authored by me or are derived from prior works which I have
  verified are not subject to claims of copyright by other parties.

  To the best of my knowledge and belief, no individual, business,
  organization, government, or other entity has any copyright interest
  in my contributions, and I affirm that I will not make contributions
  that are otherwise encumbered.

> Otherwise, if you chose copyright transfers (and associated objections, as in
> my understanding, copyright transfer does not exist in some countries), I think
> that it would be fair to at least indicate if the license that is considered
> will be copyleft or not.

Of course, the message sent to current (and past) contributors should
begin with something like:

  In order to relicense the website content with a DFSG compatible
  license, as documented in #238245, we'd like to gather all website
  contributions as copyright SPI, that will allow us to move away from
  the Open Publication License (to 2-clause-BSD-style or GPLv2 for
  example). Please refer to the discussions in #238245 and #388141 for
  the rationale of this request, and please participate if you want to
  help us in solving this long standing license issue.

Le 04/01/2012 09:34, Tommi Vainikainen a écrit :
> I believe that copyright transfers are wrong path.
> […] Also, discussions
> during many years in #388141 seems to indicate that not even all Debian
> developers would be willing to assign copyright.

Let's not focus on those who won't accept, and let's be glad if most of
us will (and then, handle the specific cases one by one, hopefully,
there won't be too much). We can still ask to those who didn't accept to
assign copyright if they accept to change to a DFSG compliant license,
and remove unsuitable content (if we have no response for example).

> IMHO, your strategy works just fine if the request is instead only for a
> license change.

If the license chosen (well, #238245 is open since 10 May 2003, it would
be nice if someone could try and provide a partial conclusion about what
license would be our first choice) doesn't fit our needs in ten years,
we'll be back at square one, harder actually, since we will have more
difficulty to contact the older contributors, and because there will be
(hopefully) more contributors in the mean time.

> It can be a generic statement from authors such as any
> future license change by Debian project leader decision or just giving
> list of licenses as options.

Will it be the Debian project leader or SPI, as soon as it is clear
enough that Debian is able to use a DFSG free license (and change it if
this license becomes incompatible with DFSG for example), I don't mind
who is the copyright holder.

> AFAIK, currently there isn't full list of all authors to
> website.

CVS knows.

Le 04/01/2012 12:00, MJ Ray a écrit :

> I will not assign copyright to [SPI] because I feel that
> would make it more attractive to attackers.  SPI already holds too
> many assets for too long, in my opinion.

Would you care to propose a more suitable copyright holder?

> 2. I feel that forcing a choice between copyright assignment and being
> airbrushed out of the website is rather at odds with the usual idea of
> voluntary contributions to the project.

If we don't ask people, we're stuck (as we are for many years), unless
there is another nice solution we didn't yet think about. If a few
persons prefer to refuse copyright assignment and prefer to forbid the
rest of us to comply with our Social Contract, I don't see the point of
allowing them to do that.

> Nevertheless, I probably would grant DPLs (or suitable delegates)
> permission to pick a dual licence for material on the website if
> asked, so long as the previous licence(s) also held.

If a suitable license could be chosen ASAP in #238245, we could start at
<date> 2012 to publish the content with a dual license, that won't begin
to address the past problem, nor prevent us to face a similar problem in
a few years, but that would be a suitable first step in addressing the
main problem IMHO: make the future work is DFSG free.

Regards

David

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#388141; Package www.debian.org. (Sun, 08 Jan 2012 18:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Francesco Poli <invernomuto@paranoici.org>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. (Sun, 08 Jan 2012 18:42:03 GMT) Full text and rfc822 format available.

Message #236 received at 388141@bugs.debian.org (full text, mbox):

From: Francesco Poli <invernomuto@paranoici.org>
To: 388141@bugs.debian.org
Cc: Debian-legal <debian-legal@lists.debian.org>, David Prévot <david@tilapin.org>, Stefano Zacchiroli <leader@debian.org>, Tommi Vainikainen <tvainika@debian.org>, MJ Ray <mjr@phonecoop.coop>
Subject: Debian official web site is still non-free
Date: Sun, 8 Jan 2012 19:38:24 +0100
[Message part 1 (text/plain, inline)]
Hello!

I see there's (at last) some activity on bug #388141 [1].
I am happy to see that, but I personally think it's going in a slightly
wrong direction...  :-(

First of all, a brief summary of bug #238245 [2] and of bug #388141 [1]
(which started as a clone of #238245 [2]), for debian-legal readers.
Anyone who is interested in all the details is invited to (re-)read the
complete (long) bug logs.

[1] http://bugs.debian.org/388141
[2] http://bugs.debian.org/238245

The issue is two-fold: firstly, the official Debian web site is
licensed [3] under the terms of the OPL [4] and therefore fails to
comply with the DFSG. Secondly, the web site claims [3] to be
copyrighted by SPI, while it's not [5].

[3] http://www.debian.org/license
[4] http://bugs.debian.org/238245#40
[5] http://bugs.debian.org/238245#58

End of summary.

Recent discussions on bug #388141 [1] (starting at message #206),
include a plan to ask for copyright assignments to SPI from all future
and (then) past contributors.
I think this is the wrong approach.

The Debian Project does *not* ask for copyright transfers for anything,
AFAICT. Not even for the packaging.
Why should a contributor trust SPI to always take the Right™ licensing
decisions in the future for his/her contributions?

Moreover, copyright assignment is much more difficult from a legal
standpoint, may require dead-tree paperwork and may be problematic for
some contributors.
I acknowledge that the current plan includes the possibility of
exceptions for those not willing to assign their copyright, but, then,
why asking at all?
A way of handling these cases must be devised anyway.
That way is asking for re-licensing consent.
Let's do so for everybody!


I personally think the appropriate plan to address the issue is
therefore doing the following actions (all of them, in the specified
order!):

 (A) Decide a set of licenses for the Debian web site.
     A default for GNU GPL v2, with the Expat/MIT being allowed
     (for any contributor who wants to use a more permissive license)
     seems to be the most reasonable proposal [6]

[6] http://bugs.debian.org/388141#199
 
 (B) Track down all contributors to the web site, contact them and ask
     them to agree to the re-licensing of their past contributions
     (under the GNU GPL v2 or, if they so wish, under the Expat/MIT).
     Please note that MJ Ray [7] and Bradley M. Kuhn [8] have offered
     help with this: I hope they are still willing to get involved...

[7] http://bugs.debian.org/238245#138
[8] http://bugs.debian.org/238245#197

 (C) Change the copyright notice for the web pages, to read
     "Copyright (c) 1997-<present> by Debian WWW authors"
     and so that it says the license is GNU GPL v2, except
     where noted that the license is Expat
     The proposed wml tags may be used to keep track of copyright
     holders of the various web pages

 (D) Future contributions will be accepted only if licensed under
     terms compatible with one of the allowed licenses


I hope this plan makes sense to you, and may help in finally solving
this issue.
Thanks a lot for your time and for taking care of this bug.


-- 
 http://www.inventati.org/frx/frx-gpg-key-transition-2010.txt
 New GnuPG key, see the transition document!
..................................................... Francesco Poli .
 GnuPG key fpr == CA01 1147 9CD2 EFDF FB82  3925 3E1C 27E1 1F69 BFFE
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#388141; Package www.debian.org. (Sun, 08 Jan 2012 20:51:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefano Zacchiroli <leader@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. (Sun, 08 Jan 2012 20:51:08 GMT) Full text and rfc822 format available.

Message #241 received at 388141@bugs.debian.org (full text, mbox):

From: Stefano Zacchiroli <leader@debian.org>
To: Francesco Poli <invernomuto@paranoici.org>
Cc: 388141@bugs.debian.org, Debian-legal <debian-legal@lists.debian.org>, David Prévot <david@tilapin.org>, Tommi Vainikainen <tvainika@debian.org>, MJ Ray <mjr@phonecoop.coop>
Subject: Re: Debian official web site is still non-free
Date: Sun, 8 Jan 2012 21:50:17 +0100
[Message part 1 (text/plain, inline)]
On Sun, Jan 08, 2012 at 07:38:24PM +0100, Francesco Poli wrote:
> Secondly, the web site claims [3] to be copyrighted by SPI, while it's
> not [5].

As a side point: the above claim of yours is no longer true, see
#632175. The web site now claims "Copyright © 1997-2011 SPI and others".

Assuming that at least some content on the website is copyright SPI, the
above formulation has essentially the same meaning as the one you
suggested:

>  (C) Change the copyright notice for the web pages, to read
>      "Copyright (c) 1997-<present> by Debian WWW authors"

(in both versions the actual list of authors are left unspecified and
delegated to other sources of information, such as $VCS logs.)

Cheers.
-- 
Stefano Zacchiroli     zack@{upsilon.cc,pps.jussieu.fr,debian.org} . o .
Maître de conférences   ......   http://upsilon.cc/zack   ......   . . o
Debian Project Leader    .......   @zack on identi.ca   .......    o o o
« the first rule of tautology club is the first rule of tautology club »
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#388141; Package www.debian.org. (Sun, 08 Jan 2012 21:09:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Francesco Poli <invernomuto@paranoici.org>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. (Sun, 08 Jan 2012 21:09:08 GMT) Full text and rfc822 format available.

Message #246 received at 388141@bugs.debian.org (full text, mbox):

From: Francesco Poli <invernomuto@paranoici.org>
To: Stefano Zacchiroli <leader@debian.org>
Cc: 388141@bugs.debian.org, Debian-legal <debian-legal@lists.debian.org>, David Prévot <david@tilapin.org>, Tommi Vainikainen <tvainika@debian.org>, MJ Ray <mjr@phonecoop.coop>
Subject: Re: Debian official web site is still non-free
Date: Sun, 8 Jan 2012 22:05:00 +0100
[Message part 1 (text/plain, inline)]
On Sun, 8 Jan 2012 21:50:17 +0100 Stefano Zacchiroli wrote:

> On Sun, Jan 08, 2012 at 07:38:24PM +0100, Francesco Poli wrote:
> > Secondly, the web site claims [3] to be copyrighted by SPI, while it's
> > not [5].
> 
> As a side point: the above claim of yours is no longer true, see
> #632175. The web site now claims "Copyright © 1997-2011 SPI and others".

Good point, but where does it claim so?

The already cited license page [3] currently says:

| Copyright © 1997-2011 Software in the Public Interest, Inc.
| P.O. Box 501248
| Indianapolis, IN 46250-6248
| United States 

[3] http://www.debian.org/license

I fail to see "others" in both the rendered HTML page and the HTML
code.
Hence, I am a bit puzzled...

-- 
 http://www.inventati.org/frx/frx-gpg-key-transition-2010.txt
 New GnuPG key, see the transition document!
..................................................... Francesco Poli .
 GnuPG key fpr == CA01 1147 9CD2 EFDF FB82  3925 3E1C 27E1 1F69 BFFE
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#388141; Package www.debian.org. (Sun, 08 Jan 2012 21:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefano Zacchiroli <leader@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. (Sun, 08 Jan 2012 21:21:43 GMT) Full text and rfc822 format available.

Message #251 received at 388141@bugs.debian.org (full text, mbox):

From: Stefano Zacchiroli <leader@debian.org>
To: Francesco Poli <invernomuto@paranoici.org>
Cc: 388141@bugs.debian.org, Debian-legal <debian-legal@lists.debian.org>, David Prévot <david@tilapin.org>, Tommi Vainikainen <tvainika@debian.org>, MJ Ray <mjr@phonecoop.coop>
Subject: Re: Debian official web site is still non-free
Date: Sun, 8 Jan 2012 22:15:03 +0100
[Message part 1 (text/plain, inline)]
On Sun, Jan 08, 2012 at 07:38:24PM +0100, Francesco Poli wrote:
> Recent discussions on bug #388141 [1] (starting at message #206),
> include a plan to ask for copyright assignments to SPI from all future
> and (then) past contributors.
> I think this is the wrong approach.
> 
> The Debian Project does *not* ask for copyright transfers for anything,
> AFAICT. Not even for the packaging.
> Why should a contributor trust SPI to always take the Right™ licensing
> decisions in the future for his/her contributions?

Let me followup on the specific point of copyright assignment, which I
definitely glossed over in my first follow-up to David's plan.

<digression>

I'm generally concerned with copyright assignments and I'll never sign
one myself for a piece of software to a for profit organization.

In this specific case, and as an author of some of the context on
www.debian.org website, I'll be much less concerned. Partly because it
is not software and of scarce interest outside the Debian context. But
more importantly because the assignment will be done to a non-profit
organization (SPI), that have transparent rules and elected bodies, and
that have Free Software principles at the heart of the organization.

</digression>

Nevertheless --- and as already exemplified by several follow-ups to
David's proposal --- we are surely going to encounter more resistence to
copyright assignment requests than what we would encounter to re-license
requests.  Let's see if we can avoid that.

>  (A) Decide a set of licenses for the Debian web site.
>      A default for GNU GPL v2, with the Expat/MIT being allowed
>      (for any contributor who wants to use a more permissive license)
>      seems to be the most reasonable proposal [6]
>  
>  (B) Track down all contributors to the web site, contact them and ask
>      them to agree to the re-licensing of their past contributions
>      (under the GNU GPL v2 or, if they so wish, under the Expat/MIT).

David has mentioned two points in favor of copyright assignment over
re-licensing: (1) "what if we need to do it again?" and (2) separation
of concerns (i.e. first we get the right to re-license, and only then we
pick a license). I find both arguments quite convincing.

A possible way out, that I'm hereby suggesting, is to ask for the right
to re-license (instead of copyright assignment), but to ask a blanket
permission to re-license under any DFSG-free license the -www team will
see fit, now and in the future.


Cheers.
-- 
Stefano Zacchiroli zack@{upsilon.cc,pps.jussieu.fr,debian.org} . o .
Maître de conférences ......  http://upsilon.cc/zack ......  . . o
Debian Project Leader .......  @zack on identi.ca .......  o o o « the
first rule of tautology club is the first rule of tautology club »
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#388141; Package www.debian.org. (Sun, 08 Jan 2012 21:27:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefano Zacchiroli <leader@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. (Sun, 08 Jan 2012 21:27:07 GMT) Full text and rfc822 format available.

Message #256 received at 388141@bugs.debian.org (full text, mbox):

From: Stefano Zacchiroli <leader@debian.org>
To: Francesco Poli <invernomuto@paranoici.org>
Cc: 388141@bugs.debian.org, Debian-legal <debian-legal@lists.debian.org>, David Prévot <david@tilapin.org>, Tommi Vainikainen <tvainika@debian.org>, MJ Ray <mjr@phonecoop.coop>
Subject: Re: Debian official web site is still non-free
Date: Sun, 8 Jan 2012 22:23:57 +0100
[Message part 1 (text/plain, inline)]
On Sun, Jan 08, 2012 at 10:05:00PM +0100, Francesco Poli wrote:
> Good point, but where does it claim so?

In the footer of every page. My quote:

  Copyright © 1997-2011 SPI and others; See license terms

can be found in the footer of every page.

> The already cited license page [3] currently says:
> 
> | Copyright © 1997-2011 Software in the Public Interest, Inc.
> | P.O. Box 501248
> | Indianapolis, IN 46250-6248
> | United States 
> 
> [3] http://www.debian.org/license

You've just spotted a bug :-) The change has been applied to the footer
of every page, but not to the /license page itself.

I've just propagated the change to that page as well.

Cheers.
-- 
Stefano Zacchiroli     zack@{upsilon.cc,pps.jussieu.fr,debian.org} . o .
Maître de conférences   ......   http://upsilon.cc/zack   ......   . . o
Debian Project Leader    .......   @zack on identi.ca   .......    o o o
« the first rule of tautology club is the first rule of tautology club »
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#388141; Package www.debian.org. (Sun, 08 Jan 2012 21:42:30 GMT) Full text and rfc822 format available.

Acknowledgement sent to Francesco Poli <invernomuto@paranoici.org>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. (Sun, 08 Jan 2012 21:42:37 GMT) Full text and rfc822 format available.

Message #261 received at 388141@bugs.debian.org (full text, mbox):

From: Francesco Poli <invernomuto@paranoici.org>
To: Stefano Zacchiroli <leader@debian.org>
Cc: 388141@bugs.debian.org, Debian-legal <debian-legal@lists.debian.org>, David Prévot <david@tilapin.org>, Tommi Vainikainen <tvainika@debian.org>, MJ Ray <mjr@phonecoop.coop>
Subject: Re: Debian official web site is still non-free
Date: Sun, 8 Jan 2012 22:40:35 +0100
[Message part 1 (text/plain, inline)]
On Sun, 8 Jan 2012 22:15:03 +0100 Stefano Zacchiroli wrote:

[...]
> A possible way out, that I'm hereby suggesting, is to ask for the right
> to re-license (instead of copyright assignment), but to ask a blanket
> permission to re-license under any DFSG-free license the -www team will
> see fit, now and in the future.

I think that this is exactly what people opposing to copyright
assignment want to avoid: giving permission to re-license under yet
unknown terms.
At least, I would *not* want to give blanket permissions to re-license.
Not even to a non-profit organization.
I have been disappointed by too many organizations, including
non-profit ones (please don't get me started with listing specific
examples, or I'll go on for days!).

Moreover, "any DFSG-free license" is quite vague.
Who decides which licenses are DFSG-free and which are not?
It is well-known (at least among debian-legal regulars) that not
everybody agrees with each other on the DFSG-freeness of a work.
Countless examples could be made.
Hence, having a promise to re-license under a "DFSG-free license" won't
be enough to reassure people who have their own strong opinions on
software freedom issues.


-- 
 http://www.inventati.org/frx/frx-gpg-key-transition-2010.txt
 New GnuPG key, see the transition document!
..................................................... Francesco Poli .
 GnuPG key fpr == CA01 1147 9CD2 EFDF FB82  3925 3E1C 27E1 1F69 BFFE
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#388141; Package www.debian.org. (Sun, 08 Jan 2012 22:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefano Zacchiroli <leader@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. (Sun, 08 Jan 2012 22:21:03 GMT) Full text and rfc822 format available.

Message #266 received at 388141@bugs.debian.org (full text, mbox):

From: Stefano Zacchiroli <leader@debian.org>
To: Francesco Poli <invernomuto@paranoici.org>
Cc: 388141@bugs.debian.org, Debian-legal <debian-legal@lists.debian.org>, David Prévot <david@tilapin.org>, Tommi Vainikainen <tvainika@debian.org>, MJ Ray <mjr@phonecoop.coop>
Subject: Re: Debian official web site is still non-free
Date: Sun, 8 Jan 2012 23:17:02 +0100
[Message part 1 (text/plain, inline)]
On Sun, Jan 08, 2012 at 10:40:35PM +0100, Francesco Poli wrote:
> I think that this is exactly what people opposing to copyright
> assignment want to avoid: giving permission to re-license under yet
> unknown terms.

I don't think you should make absolute statements for *all* the people
opposing copyright assignments, while being yourself only one of them.
I, for one thing, generally oppose copyright assignments, but as this
discussion has made clear I've a different position than yours. Others
will have yet more different views, for sure.

I'm under the *impression* that an important amount of people objecting
copyright assignments do so to avoid the risk that their contributions
get re-licensed under terms that go against their moral beliefs about
software freedom. That is why I won't sign a copyright assignment to a
for-profit entity.

Restricting the camp to DFSG-free licenses gives already quite some
guarantees about what the license terms could be. For instance, they
won't be terms that forbid the content to be distributed as part of the
Debian archive. In other words, they won't be terms that put the content
at stake with Debian philosophy.

I understand that not all DFSG-free licenses are equal in terms of how
they represent moral beliefs of people (e.g. I'm myself more of a
copyleft kind of guy than a *BSD kind of guy). But it is the largest
horizon of software freedom beliefs we should expect from people who
have contributed to the *Debian* website.  Strategically, it seems to me
that either we stick to that set of licenses, or we have to pick a
single license upfront. As mentioned by David and in my previous mail,
that would defeat the "separation of concern" goal.

> Moreover, "any DFSG-free license" is quite vague.
> Who decides which licenses are DFSG-free and which are not?

The Debian project has an official position on which licenses are
DFSG-free and which are not. I believe you know that very well.

We will all appreciate if you could avoid hijacking this discussion to
push agendas that object the current stance of the Debian project on
which licenses are DFSG-free and which are not. Those discussions do not
belong to this (already crowded) bug log.

Cheers.
-- 
Stefano Zacchiroli     zack@{upsilon.cc,pps.jussieu.fr,debian.org} . o .
Maître de conférences   ......   http://upsilon.cc/zack   ......   . . o
Debian Project Leader    .......   @zack on identi.ca   .......    o o o
« the first rule of tautology club is the first rule of tautology club »
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#388141; Package www.debian.org. (Mon, 09 Jan 2012 01:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Charles Plessy <plessy@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. (Mon, 09 Jan 2012 01:36:03 GMT) Full text and rfc822 format available.

Message #271 received at 388141@bugs.debian.org (full text, mbox):

From: Charles Plessy <plessy@debian.org>
To: 388141@bugs.debian.org, Debian-legal <debian-legal@lists.debian.org>
Subject: Re: Debian official web site is still non-free
Date: Mon, 9 Jan 2012 10:32:19 +0900
Le Sun, Jan 08, 2012 at 11:17:02PM +0100, Stefano Zacchiroli a écrit :
> 
> I'm under the *impression* that an important amount of people objecting
> copyright assignments do so to avoid the risk that their contributions
> get re-licensed under terms that go against their moral beliefs about
> software freedom. That is why I won't sign a copyright assignment to a
> for-profit entity.

Hi Stefano,

in my understanding, there is still a big difference between copyright
assignment and re-licensing, even if we trust the license to be free.

 - In the case of assignment, the author has to comply with the license
   chosen by SPI.

 - In the case of re-licensing, the author can still use his work under
   the license he prefers.

Imagine for example that I write for the Debian Med project's pages a short
explanation of what ‘biological sequence alignment’ means.  In that case, I
would like to keep the option to re-use my work freely.  However, if the
website were copylefted, and if I would transfer my copyright, this would
restrict my possibilities to re-use my own work.

For that reason, I think that copyright assignment and choice of license can
not be separated.  Which is another good reason to go for relicensing or
copyright disclaiming instead.

Have a nice day,

-- 
Charles Plessy
Debian Med packaging team,
http://www.debian.org/devel/debian-med
Tsurumi, Kanagawa, Japan




Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#388141; Package www.debian.org. (Mon, 09 Jan 2012 20:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Francesco Poli <invernomuto@paranoici.org>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. (Mon, 09 Jan 2012 20:06:03 GMT) Full text and rfc822 format available.

Message #276 received at 388141@bugs.debian.org (full text, mbox):

From: Francesco Poli <invernomuto@paranoici.org>
To: Stefano Zacchiroli <leader@debian.org>
Cc: 388141@bugs.debian.org, Debian-legal <debian-legal@lists.debian.org>, David Prévot <david@tilapin.org>, Tommi Vainikainen <tvainika@debian.org>, MJ Ray <mjr@phonecoop.coop>
Subject: Re: Debian official web site is still non-free
Date: Mon, 9 Jan 2012 21:03:24 +0100
[Message part 1 (text/plain, inline)]
On Sun, 8 Jan 2012 22:23:57 +0100 Stefano Zacchiroli wrote:

> On Sun, Jan 08, 2012 at 10:05:00PM +0100, Francesco Poli wrote:
> > Good point, but where does it claim so?
> 
> In the footer of every page. My quote:
> 
>   Copyright © 1997-2011 SPI and others; See license terms
> 
> can be found in the footer of every page.

Ah, I hadn't noticed that...

> 
> > The already cited license page [3] currently says:
> > 
> > | Copyright © 1997-2011 Software in the Public Interest, Inc.
> > | P.O. Box 501248
> > | Indianapolis, IN 46250-6248
> > | United States 
> > 
> > [3] http://www.debian.org/license
> 
> You've just spotted a bug :-)

;-)

> The change has been applied to the footer
> of every page, but not to the /license page itself.
> 
> I've just propagated the change to that page as well.

Good, thanks for taking action!


-- 
 http://www.inventati.org/frx/frx-gpg-key-transition-2010.txt
 New GnuPG key, see the transition document!
..................................................... Francesco Poli .
 GnuPG key fpr == CA01 1147 9CD2 EFDF FB82  3925 3E1C 27E1 1F69 BFFE
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#388141; Package www.debian.org. (Mon, 09 Jan 2012 22:24:25 GMT) Full text and rfc822 format available.

Acknowledgement sent to Francesco Poli <invernomuto@paranoici.org>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. (Mon, 09 Jan 2012 22:24:25 GMT) Full text and rfc822 format available.

Message #281 received at 388141@bugs.debian.org (full text, mbox):

From: Francesco Poli <invernomuto@paranoici.org>
To: Stefano Zacchiroli <leader@debian.org>
Cc: 388141@bugs.debian.org, Debian-legal <debian-legal@lists.debian.org>, David Prévot <david@tilapin.org>, Tommi Vainikainen <tvainika@debian.org>, MJ Ray <mjr@phonecoop.coop>
Subject: Re: Debian official web site is still non-free
Date: Mon, 9 Jan 2012 22:39:53 +0100
[Message part 1 (text/plain, inline)]
On Sun, 8 Jan 2012 23:17:02 +0100 Stefano Zacchiroli wrote:

> On Sun, Jan 08, 2012 at 10:40:35PM +0100, Francesco Poli wrote:
> > I think that this is exactly what people opposing to copyright
> > assignment want to avoid: giving permission to re-license under yet
> > unknown terms.
> 
> I don't think you should make absolute statements for *all* the people
> opposing copyright assignments, while being yourself only one of them.

I didn't intend to make *absolute* statements.
I acknowledge that I should have written "what *some* people opposing",
but unfortunately that "some" failed to come out of my keyboard...
Sorry about that.

Anyway, I am under the impression that the number of those "some
people" is significant.

[...]
> I'm under the *impression* that an important amount of people objecting
> copyright assignments do so to avoid the risk that their contributions
> get re-licensed under terms that go against their moral beliefs about
> software freedom. That is why I won't sign a copyright assignment to a
> for-profit entity.

Exactly.
And, since I have been repeatedly disappointed by non-profit
organizations too, I personally strongly dislike copyright assignment
to *any* entity, not just to for-profit ones.

[...]
> I understand that not all DFSG-free licenses are equal in terms of how
> they represent moral beliefs of people (e.g. I'm myself more of a
> copyleft kind of guy than a *BSD kind of guy). But it is the largest
> horizon of software freedom beliefs we should expect from people who
> have contributed to the *Debian* website.

As I said, some people may dislike giving blanket permission to
re-license under yet unknown terms, since they may think that some
licenses officially accepted by the Debian Project are in fact
non-free.
You know at least some examples, hence there's no need to explicitly
list them...  

> Strategically, it seems to me
> that either we stick to that set of licenses, or we have to pick a
> single license upfront.

As I said, I think a single license (or, anyway, a very small number of
possible licenses, from which the contributor may choose one) should be
picked upfront.

[...]
> > Moreover, "any DFSG-free license" is quite vague.
> > Who decides which licenses are DFSG-free and which are not?
> 
> The Debian project has an official position on which licenses are
> DFSG-free and which are not. I believe you know that very well.

Yes, and not everybody agrees with that official position, as you know.

> 
> We will all appreciate if you could avoid hijacking this discussion to
> push agendas that object the current stance of the Debian project on
> which licenses are DFSG-free and which are not. Those discussions do not
> belong to this (already crowded) bug log.

I agree, and that is exactly the reason why I avoided making any
specific example: I didn't want to drive the discussion far away from
the important point we are talking about.


-- 
 http://www.inventati.org/frx/frx-gpg-key-transition-2010.txt
 New GnuPG key, see the transition document!
..................................................... Francesco Poli .
 GnuPG key fpr == CA01 1147 9CD2 EFDF FB82  3925 3E1C 27E1 1F69 BFFE
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#388141; Package www.debian.org. (Sun, 15 Jan 2012 18:48:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Prévot <taffit@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. (Sun, 15 Jan 2012 18:48:05 GMT) Full text and rfc822 format available.

Message #286 received at 388141@bugs.debian.org (full text, mbox):

From: David Prévot <taffit@debian.org>
To: 388141@bugs.debian.org
Cc: Stefano Zacchiroli <leader@debian.org>, debian-legal@lists.debian.org
Subject: Ask contributors a permission to relicense
Date: Sun, 15 Jan 2012 14:45:20 -0400
[Message part 1 (text/plain, inline)]
Le 09/01/2012 17:39, Francesco Poli a écrit :
> On Sun, 8 Jan 2012 23:17:02 +0100 Stefano Zacchiroli wrote:
>> On Sun, Jan 08, 2012 at 10:40:35PM +0100, Francesco Poli wrote:
>>> I think that this is exactly what people opposing to copyright
>>> assignment want to avoid: giving permission to re-license under yet
>>> unknown terms.
>>
>> I don't think you should make absolute statements for *all* the people
>> opposing copyright assignments, while being yourself only one of them.
> 
> I didn't intend to make *absolute* statements.
> I acknowledge that I should have written "what *some* people opposing",
> but unfortunately that "some" failed to come out of my keyboard...
> Sorry about that.
> 
> Anyway, I am under the impression that the number of those "some
> people" is significant.
> 
> [...]
>> I'm under the *impression* that an important amount of people objecting
>> copyright assignments do so to avoid the risk that their contributions
>> get re-licensed under terms that go against their moral beliefs about
>> software freedom. That is why I won't sign a copyright assignment to a
>> for-profit entity.

Instead of continuing our discussion based on impressions, we just
issued a quick poll [P.-S.]: it confirms that not everyone will agree
with a copyright reassignment, but almost all contributors will likely
give us a blanket permission to relicense their contributions under any
DFSG-free license.


Going this way (asking for a blanket permission to re-license under any
DFSG-free license) would allow us to work on this issue right now: no
need to wait for #238245 to be solved, the discussion about the chosen
license can continue while we address the “ask for relicensing
permission” task to every current contributor (addressing the current
and future side of this issue).

Since the “web team” is not a clearly defined entity, I propose, for
legal purpose, that the license choice stays ours but we mandate the
Debian project leader to publicly announce it once we have decided the
accurate license(s) (thus there is another safeguard: the “web team”
won't choose a silly license without a formal acknowledgement of the
Debian project by the voice of its leader).

———————————————————————————————————————————————————————————————————————

Subject: Permission to relicense my work on the Debian website

  I hereby give permission to relicense my work — which consist of
  edition or translation of portions of text from one human language to
  another human language, that I have provided to the Debian website or
  that I will provide in the future — to any DFSG compatible license as
  chosen by the web team, and announced by the Debian project leader.

———————————————————————————————————————————————————————————————————————

Once agreed on the wording, I propose to ask every contributors to send
us back this relicense permission (and ask them to forward this request
to every contributor they commit the work for, as it can be done in
translation teams for example).


Please note that Andrei found it “a bit harsh” [1] (well, it was about
copyright reassignment, since we will only ask for a relicensing
permission, maybe his remark won't stand) if we remove commit access to
people who won't give their agreement. Hopefully, none of us will really
disagree, and we'll only temporarily remove commit access to temporarily
unavailable contributors. Anyway, we'll report the result of the
relicensing campaign before taking action.

  1: http://lists.debian.org/debian-www/2012/01/msg00057.html

Regards

David


P.-S.: we contacted directly the 28 currently most active contributors
(we simply drawn this subjective line to people who did at least 50
commits in the past 2 years), and Alexander Reichle-Schmehl forwarded
this little poll [2] to people who committed to the publicity repository
(since he usually commits in behalf of the publicity and press teams).

Six days after the initial call, we already received 14 answers, and
thanks to Alexander initiative, 15 more answers five days after his call.

Only 20 persons would agree with a copyright reassignment.

28 persons (out of 29) would agree to give a blanket permission to the
Debian Web Team to relicense the Website under any DFSG free license
(only one person answered “maybe”, so it's not even a strong opposition).

  2: http://lists.debian.org/debian-publicity/2012/01/msg00042.html

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#388141; Package www.debian.org. (Sun, 15 Jan 2012 20:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Francesco Poli <invernomuto@paranoici.org>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. (Sun, 15 Jan 2012 20:09:03 GMT) Full text and rfc822 format available.

Message #291 received at 388141@bugs.debian.org (full text, mbox):

From: Francesco Poli <invernomuto@paranoici.org>
To: David Prévot <taffit@debian.org>
Cc: 388141@bugs.debian.org, Stefano Zacchiroli <leader@debian.org>, debian-legal@lists.debian.org
Subject: Re: Ask contributors a permission to relicense
Date: Sun, 15 Jan 2012 21:07:28 +0100
[Message part 1 (text/plain, inline)]
On Sun, 15 Jan 2012 14:45:20 -0400 David Prévot wrote:

> Le 09/01/2012 17:39, Francesco Poli a écrit :
[...]
> Instead of continuing our discussion based on impressions, we just
> issued a quick poll [P.-S.]: it confirms that not everyone will agree
> with a copyright reassignment, but almost all contributors will likely
> give us a blanket permission to relicense their contributions under any
> DFSG-free license.
[...]
> Please note that Andrei found it “a bit harsh” [1] (well, it was about
> copyright reassignment, since we will only ask for a relicensing
> permission, maybe his remark won't stand) if we remove commit access to
> people who won't give their agreement. Hopefully, none of us will really
> disagree, and we'll only temporarily remove commit access to temporarily
> unavailable contributors.

As it should already be clear from my previous comments, I think that
requiring blanket re-licensing permission from contributors as a
prerequisite for accepting contributions to an activity of the Debian
Project would be a *very bad* precedent.

I think that such a strategy, if adopted, would alienate a number of
existing or future potential contributors.

At the very least, me.
I haven't yet contributed anything to the Debian official web site, but
I think that anyone trying to persuade me to help will have a very hard
time, if, in order to contribute, I would be forced to allow the Debian
Project to re-license my work at will, under any terms it considers to
be DFSG-free.


-- 
 http://www.inventati.org/frx/frx-gpg-key-transition-2010.txt
 New GnuPG key, see the transition document!
..................................................... Francesco Poli .
 GnuPG key fpr == CA01 1147 9CD2 EFDF FB82  3925 3E1C 27E1 1F69 BFFE
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#388141; Package www.debian.org. (Mon, 16 Jan 2012 04:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Charles Plessy <plessy@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. (Mon, 16 Jan 2012 04:09:03 GMT) Full text and rfc822 format available.

Message #296 received at 388141@bugs.debian.org (full text, mbox):

From: Charles Plessy <plessy@debian.org>
To: 388141@bugs.debian.org
Cc: Stefano Zacchiroli <leader@debian.org>, debian-legal@lists.debian.org
Subject: Re: Bug#388141: Ask contributors a permission to relicense
Date: Mon, 16 Jan 2012 13:05:09 +0900
Le Sun, Jan 15, 2012 at 02:45:20PM -0400, David Prévot a écrit :
> 
> Since the “web team” is not a clearly defined entity, I propose, for
> legal purpose, that the license choice stays ours but we mandate the
> Debian project leader to publicly announce it once we have decided the
> accurate license(s) (thus there is another safeguard: the “web team”
> won't choose a silly license without a formal acknowledgement of the
> Debian project by the voice of its leader).
> 
> ———————————————————————————————————————————————————————————————————————
> 
> Subject: Permission to relicense my work on the Debian website
> 
>   I hereby give permission to relicense my work — which consist of
>   edition or translation of portions of text from one human language to
>   another human language, that I have provided to the Debian website or
>   that I will provide in the future — to any DFSG compatible license as
>   chosen by the web team, and announced by the Debian project leader.
> 
> ———————————————————————————————————————————————————————————————————————

Dear David,

I would definitely agree with the above.  This said, it may be even
simpler to make the contributors relicence themselves.  For instance:

  I hereby license my past and future contributions to the Debian
  website, which consist of edition or translation of portions of text
  from one human language to another human language, under the DFSG
  compatible license that will be announced by the Debian project
  leader on the debian-devel-announce diffusion list in his next
  message titled “New license for the Debian website”.

This removes questions such as “do we have the right to give the right
to relicence”, or “what if in 10 years the website is re-relicensed
with terms that I will not like (because the DFSG will have been
amended)”, etc.

One last comment – I realise that I gave many more than average – is
that the contributors sometimes contribute some programmatic work as
makefiles or perhaps patches to some scripts.  If applicable, the
relicensing would be even more simplified by targetting all
contributions to the webwml repository.

Have a nice day,

-- 
Charles Plessy
Debian Med packaging team,
http://www.debian.org/devel/debian-med
Tsurumi, Kanagawa, Japan




Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#388141; Package www.debian.org. (Wed, 18 Jan 2012 12:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hugo Roy <hugo@fsfe.org>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. (Wed, 18 Jan 2012 12:57:25 GMT) Full text and rfc822 format available.

Message #301 received at 388141@bugs.debian.org (full text, mbox):

From: Hugo Roy <hugo@fsfe.org>
To: David Prévot <taffit@debian.org>
Cc: 388141@bugs.debian.org, Stefano Zacchiroli <leader@debian.org>, debian-legal@lists.debian.org
Subject: Re: Ask contributors a permission to relicense
Date: Wed, 18 Jan 2012 13:45:52 +0100
Hello,

I haven't followed thoroughly the thread, but there are many legal
issues at stake with such decisions, for instance in some countries such
as France, it is legally not possible to grant this kind of permission
for future works; thus this agreement below would be legally void:

Le dimanche 15 janvier 2012 à 14:45 -0400, David Prévot a écrit :
> ———————————————————————————————————————————————————————————————————————
> 
> Subject: Permission to relicense my work on the Debian website
> 
>   I hereby give permission to relicense my work — which consist of
>   edition or translation of portions of text from one human language
> to
>   another human language, that I have provided to the Debian website
> or
>   that I will provide in the future — to any DFSG compatible license
> as
>   chosen by the web team, and announced by the Debian project leader.
> 
> ———————————————————————————————————————————————————————————————————————

Moreover, in practice, I hardly see what's the difference with a
well-drafted copyright assignment. Maybe you'd be interested in reading
what FSFE has drafted for free software projects:
http://fsfe.org/projects/ftf/fla.en.html

        The Fiduciary Licence Agreement (FLA) is a copyright assignment
        that allows one entity to safeguard all of the code created for
        a project by consolidating copyright (or exclusive exploitation
        rights) to counteract copyright fragmentation.
        
        This enables projects to protect their legal maintainability by
        preserving the ability to relicense code and ensuring sufficient
        rights to enforce licences in court. The person assigning does
        not lose their rights to the code either, as the FLA gives back
        unlimited usage/single exploitation rights to the author. The
        FLA also applies a set of principles for the fiduciary. If they
        breach these principles, all grants and licenses made to them
        automatically expire.
        
        Benefeciaries of the FLA assign the copyright in their work, and
        in countries where assignments of the copyright in a work are
        impossible, they grant the fiduciary an exclusive license (see
        §1(1) for details). Therefore, the FLA is designed to work in
        both civil and common law countries.
        
Best regards,
Hugo
-- 
Hugo Roy                           im: hugo@jabber.fsfe.org 
  French Coordinator               mobile: +33.6 0874 1341

The Free Software Foundation Europe works to create general
understanding and support for software freedom in politics, law,
business and society. Become a Fellow http://www.fsfe.org/join 

La Free Software Foundation Europe œuvre à la compréhension et au
soutien de la liberté logicielle en politique, en droit, en économie et
en société. Rejoignez la Fellowship http://www.fsfe.org/join 





Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#388141; Package www.debian.org. (Wed, 18 Jan 2012 16:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Pfannenstein Erik <debianignatz@gmx.de>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. (Wed, 18 Jan 2012 16:39:03 GMT) Full text and rfc822 format available.

Message #306 received at 388141@bugs.debian.org (full text, mbox):

From: Pfannenstein Erik <debianignatz@gmx.de>
To: 388141@bugs.debian.org
Subject: Re: Bug#388141: Ask contributors a permission to relicense
Date: Wed, 18 Jan 2012 17:35:47 +0100
Hello,

if I may jump into this discussion, I support Hugo's suggestion of the FSFE's 
"Fiduciary Licence Agreement". Like in France, copyrights are not negotiable in 
Germany and since the FSFE has something up on their sleeve to avoid that, what 
reasons speak against using it?

Greetings
Erik

-- 
Linux User: 499744
Linux Machine: 434256




Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#388141; Package www.debian.org. (Wed, 25 Jan 2012 17:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to The Debian Web site <debian-www@lists.debian.org>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. (Wed, 25 Jan 2012 17:12:03 GMT) Full text and rfc822 format available.

Message #311 received at 388141@bugs.debian.org (full text, mbox):

From: David Prévot <taffit@debian.org>
To: 388141@bugs.debian.org
Cc: Stefano Zacchiroli <leader@debian.org>
Subject: Let's ask for a relicensing agreement
Date: Wed, 25 Jan 2012 13:09:08 -0400
[Message part 1 (text/plain, inline)]
retitle 388141 Old content is not DFSG-free until all contributors agree for relicensing
thanks

Hi,

Thanks to Stefano's help (see #238245), the new content of the website
will now be DFSG free. In order to make the old content DFSG free, we
need the agreement of every author of previous contributions.

I propose to send them the following message, and will gladly accept
your remarks before actually sending it:

———————————————————————————————————————————————————————————————————————

Subject: Permission to relicense your Debian web site contributions

  Hi,

  As you may already be aware of (see #238245 for more information), the
new material of the Debian web site is now compliant with our free
software guidelines. In order to make the old content available with the
same licenses, we need your agreement.

  Please send us back the following agreement, and, if you committed
anything on behalf of someone else in the past (e.g. if you acted as a
translation coordinator), please do ask them to also send it back to us:

----------------------8<----------------------8<----------------------

  I hereby give permission to relicense all the material that I have
provided to the Debian website under the terms of the MIT (Expat)
License and of the GNU General Public License, version 2 and any later
version.

---------------------->8---------------------->8----------------------

  Thanks for the work you already did for the Debian web site, and
thanks in advance for helping us to make it free.

  Regards

  <someone> on behalf of the Debian web team

  P.-S.: Please mention your real name and your Alioth (and pre-Alioth)
account name(s) to help us track your commits.

———————————————————————————————————————————————————————————————————————

As a first step of this relicensing task, I propose we contact:
- current contributors (the 213 members of the Alioth webwml group);
- members of security team who provided DSA (in security/<year>/);
- members of publicity and release teams who provided News/ content.

In the mean time, I hope translation coordinators could take care of
contacting the previous translators of their language (who are not
already among the current members of the Alioth webwml group).

We'll also have to contact previous contributors who are not currently
member of the Alioth webwml group (so we first need to identify them),
and probably many more people in some corner cases I didn't yet think of
right now.

We could continue to discuss the specifics of the relicensing work flow
only in the debian-www mailing list not to flood this bug report, and
come back to this bug report when we have significant information to share.

Regards

David

P.-S.: The relicensing agreement should be sent to
<webmaster@debian.org>, in order not to spam our public mailing list or
bug tracker, and to make it available to any Debian developer.

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#388141; Package www.debian.org. (Thu, 26 Jan 2012 18:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Florian Weimer <fw@deneb.enyo.de>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. (Thu, 26 Jan 2012 18:18:03 GMT) Full text and rfc822 format available.

Message #316 received at 388141@bugs.debian.org (full text, mbox):

From: Florian Weimer <fw@deneb.enyo.de>
To: 388141@bugs.debian.org
Cc: Stefano Zacchiroli <leader@debian.org>
Subject: Re: Bug#388141: Let's ask for a relicensing agreement
Date: Thu, 26 Jan 2012 19:15:24 +0100
* David Prévot:

> provided to the Debian website

Perhaps it could be made clearer that this applies to the web site
proper and not to other contributions to Debian which also appear on
the web.

I think there should be a paragraph about third party contributions
submitted by the recipient.  The recipient cannot relicense those, and
must give the impression of doing so.

> - members of security team who provided DSA (in security/<year>/);

Are they really covered by copyright?




Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#388141; Package www.debian.org. (Tue, 28 Feb 2012 22:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Prévot <taffit@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. (Tue, 28 Feb 2012 22:09:04 GMT) Full text and rfc822 format available.

Message #321 received at 388141@bugs.debian.org (full text, mbox):

From: David Prévot <taffit@debian.org>
To: 388141@bugs.debian.org
Subject: Progress in relicensing agreements
Date: Tue, 28 Feb 2012 18:06:26 -0400
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Hi,

Le 25/01/2012 13:09, David Prévot a écrit :

> In order to make the old content DFSG free, we
> need the agreement of every author of previous contributions.

We sent the first batch to the Alioth users, and are quite happy that,
among the 213 members of the Alioth webwml group we contacted, 104
members already sent us back the agreement, and 44 other persons (who
already provided content but who currently don't have commit access)
sent it also back to us. Thanks to Simon who is tracking the received
answers for the figures.

Please note that, after discussing it on debian-www as suggested, we
modified the agreement text as:

 -----------------------8<----------------------8<--------------------

I hereby give permission to redistribute and/or modify all the material
that I have provided to the Debian website <URL:http://www.debian.org/>
under the terms of the MIT (Expat) License or of the GNU General Public
License, version 2 or any later version.

Real name:
Alioth account:

 ----------------------->8---------------------->8--------------------

The main change is to use an “or” form to make it fit the license [0]
page (instead of the initially proposed “and” form, more accurate, but
also confusing for some of us, thus the rewrite the other way around).

	0: http://www.debian.org/license

> As a first step of this relicensing task, I propose we contact:
> - current contributors (the 213 members of the Alioth webwml group);

In process, we are issuing a reminder to those who didn't replied to the
first call the last two weeks. By the way, it's pretty nice to receive
cheerful answers from people who worked on the website a long time ago.

> - members of security team who provided DSA (in security/<year>/);

It has been noted once that “they mostly consist of quotes from the CVE
database, which […] cannot [be] relicense[d].”, so I didn't bother them
yet to send the agreement (except those who already have webwml commit
access, of course), and postponed this until we figure out how will we
manage that.

> - members of publicity and release teams who provided News/ content.

Still on the TODO list.

> In the mean time, I hope translation coordinators could take care of
> contacting the previous translators of their language

This worked pretty well so far (thus the “44 other persons” above).

> We'll also have to contact previous contributors who are not currently
> member of the Alioth webwml group (so we first need to identify them),
> and probably many more people in some corner cases I didn't yet think of
> right now.

It's been noted that might get difficult for old translators (since they
may not be clearly identified), which will also be a problem for the
English part for commits on behalf of someone (but let's not focus on
the problems right now, and lets try to achieve what can be done without
further headaches).

Regards

David, on behalf of the Debian web team


-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJPTU/hAAoJELgqIXr9/gnyaKAQAI2tsXeEWe5PT9aXAZDjCbOf
DhnMuM9FZTxIqkc4luM9KXESpUSIf1/eGREESoWclcFIe7XfTkA5fWF1h5CiKLJJ
diOR257802FpPjertgoubQqjLSUEXPCUHwCehr0jEwk9bYIXhnGqrrAaj3ynAwIa
skFPNZ6EMyhGGw+sGGDi+iURj7mV0wjafRd/ECYftbDJ8xpuS6fL7ewEtn9e+SOR
uG7mrcUFvIl+7mXTEzrfWAwPSicu07dnPcOhb0Xfxk6mp3dQiDpMvOiFk2j3yvLh
kAvuNqY/1+o24i5pLjHhlUieosCIkZ+NJJheR4omDKfx9hPim9tmObHJElf8doaF
KN9bTO5d4anKfH0n7bSx7Y5a8qGKqh9lgrZIQE6yTwZgi0wa3IbjfgKge+WGrMUj
ADoF4sR4Wrh2XzxjKtvE+k2TRlgetXN844z/qNjiGpe2MYXvG9JDQMrnkhY/gsJR
sv5uMDcYih3KCR8V5uuhIBCt/LNAfWn2XfFy5Rx3y3J+lJhLTBq0lKGuZce5upKA
H+jfE97O1EV6ELxqK7spAKduTTjMBFbNbkrJNkQSqSUX3j+wpW4gWSaEBRaov7EM
tIlLosU8ozORyCt0vetpmMD1F7myHDdT94BXjqThnb9dijIJdSCZe1Xwv9ebpPp1
8Z2cuTivNegJg0hcWWxP
=TkWl
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#388141; Package www.debian.org. (Wed, 17 Oct 2012 16:21:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Thijs Kinkhorst" <thijs@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. (Wed, 17 Oct 2012 16:21:06 GMT) Full text and rfc822 format available.

Message #326 received at 388141@bugs.debian.org (full text, mbox):

From: "Thijs Kinkhorst" <thijs@debian.org>
To: 388141@bugs.debian.org
Subject: Re: Progress in relicensing agreements
Date: Wed, 17 Oct 2012 18:18:02 +0200
Hi,

> We sent the first batch to the Alioth users, and are quite happy that,
> among the 213 members of the Alioth webwml group we contacted, 104
> members already sent us back the agreement, and 44 other persons (who
> already provided content but who currently don't have commit access)
> sent it also back to us. Thanks to Simon who is tracking the received
> answers for the figures.

Can you give an update on this? From how many authors has permission been
received? Perhaps a re-ping is in order for the missing ones?

Also, is there a list available somewhere of the usernames that alread
consented?


Cheers,
Thijs



Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#388141; Package www.debian.org. (Sat, 20 Oct 2012 19:21:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to 388141@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. (Sat, 20 Oct 2012 19:21:06 GMT) Full text and rfc822 format available.

Message #331 received at 388141@bugs.debian.org (full text, mbox):

From: Simon Paillard <spaillard@debian.org>
To: Thijs Kinkhorst <thijs@debian.org>, 388141@bugs.debian.org
Subject: Re: Bug#388141: Progress in relicensing agreements: 167 ok out of 216 alioth
Date: Sat, 20 Oct 2012 21:20:16 +0200
Hi,

On Wed, Oct 17, 2012 at 06:18:02PM +0200, Thijs Kinkhorst wrote:
> > We sent the first batch to the Alioth users, and are quite happy that,
> > among the 213 members of the Alioth webwml group we contacted, 104
> > members already sent us back the agreement, and 44 other persons (who
> > already provided content but who currently don't have commit access)
> > sent it also back to us. Thanks to Simon who is tracking the received
> > answers for the figures.
> 
> Can you give an update on this? From how many authors has permission been
> received?

alioth members: out of 216
	164 ok for dual licence
	1 for public domain
	2 for GPL only
	49 remaning

contributors but not commiters: note we didn't build a list of such contributors
	58 ok

> Perhaps a re-ping is in order for the missing ones?

Following your email, I've run a re-ping, not much successful, but ~10 replies
for the moment.

Our main next steps is imo:
- from translation-check headers, identify contributors, and allow matching
  with the list of ok
- for people without a reply or NOK, identify the content and check if we can
  drop it or rewrite it (from scratch) 
- what to do with fjp commits ?
 
> Also, is there a list available somewhere of the usernames that alread
> consented?

I've made a copy available at:
http://people.debian.org/~spaillard/website/relicensing/ 

-- 
Simon Paillard



Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#388141; Package www.debian.org. (Sun, 21 Oct 2012 15:39:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefano Zacchiroli <leader@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. (Sun, 21 Oct 2012 15:39:06 GMT) Full text and rfc822 format available.

Message #336 received at 388141@bugs.debian.org (full text, mbox):

From: Stefano Zacchiroli <leader@debian.org>
To: "Bradley M. Kuhn" <bkuhn@ebb.org>
Cc: 388141@bugs.debian.org
Subject: www.debian.org relicensing - advice on public call
Date: Sun, 21 Oct 2012 17:34:36 +0200
[Message part 1 (text/plain, inline)]
On Wed, Jun 01, 2011 at 09:14:11AM -0400, Bradley M. Kuhn wrote:
> I also wanted to volunteer my time to help with this part of the
> solution whenever the Debian community is ready to move forward.  I have
> some experiencing handling mass-relicensing of copyrights when no
> copyright assignments are in place.  For example, through my work at the
> Software Freedom Conservancy, I assisted the Squeak community in
> relicensing their software under a Free Software license (previously it
> had been under a semi-Free Software, "no commercial only" license).
> 
> It's a common misconception that relicensing cannot be done without
> copyright assignment and/or by getting explicit, written assent from
> each copyright holder.  While explicit and written assent from each
> copyright holder is the ideal, various public mechanisms and call for
> comment periods can be used for those contributors that are difficult to
> track down.
> 
> I don't think there's any need to go into the details about this now; my
> point in sending this email is to offer my help as a volunteer when the
> Debian community is ready to handle the relicensing from OPL.

Hi Bradley, I'm getting back to you about the above as in Debian we're
now ready to finalize the relicensing of www.debian.org ("www.d.o" for
short) from OPL and could use some expert advice on the next steps.

A bit of context on the status quo:

- starting 25 January 2012, we've chosen as license for new content dual
  MIT/GPL2+ [1] See http://www.debian.org/license

- the Debian WWW team (who is reading this discussion via the buglog)
  has proceeded to ask contributors of old content the permission to
  relicense their past contributions from OPL. See

    http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=388141#321

  for the template of the declarations they've collected. That dates
  back to February 2012

- 6 month later, the progress is fairly good, quoting from

    http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=388141#331

  > alioth members: out of 216
  >        164 ok for dual licence
  >        1 for public domain
  >        2 for GPL only
  >        49 remaning

  we've already pinged the missing contributors, getting as little as 10
  more answers.

I believe at this point we've got close to as much as we could get via
explicit requests. Some requests will remain unanswered. You mentioned
that it is possible to complete the process via some sort of public
call, with (my guess) a "deadline" before proceeding.

Can you help us out with this?
Needless to say, that would be very much appreciated!

Cheers.


[1]: yes, that's equivalent to MIT alone, but we advertise it as dual
     mostly for documentation purposes: some content users might be more
     familiar with GPL and would be reassured by seeing it mentioned
-- 
Stefano Zacchiroli  . . . . . . .  zack@upsilon.cc . . . . o . . . o . o
Maître de conférences . . . . . http://upsilon.cc/zack . . . o . . . o o
Debian Project Leader . . . . . . @zack on identi.ca . . o o o . . . o .
« the first rule of tautology club is the first rule of tautology club »
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#388141; Package www.debian.org. (Sun, 21 Oct 2012 18:57:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Simon Paillard <spaillard@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. (Sun, 21 Oct 2012 18:57:06 GMT) Full text and rfc822 format available.

Message #341 received at 388141@bugs.debian.org (full text, mbox):

From: Simon Paillard <spaillard@debian.org>
To: 388141@bugs.debian.org
Subject: Re: Bug#388141: Progress in relicensing agreements: 167 ok out of 216 alioth
Date: Sun, 21 Oct 2012 20:54:46 +0200
Hi,

On Sat, Oct 20, 2012 at 09:20:16PM +0200, Simon Paillard wrote:
> alioth members: out of 216
> 	164 ok for dual licence
> 	1 for public domain
> 	2 for GPL only
> 	49 remaning
> 
> contributors but not commiters: note we didn't build a list of such contributors
> 	58 ok

Another interesting metric:
Out of the 101360 commits git-cvsimport shows today, 82303 can be considered
relicensed (without checking at the real author behind the commiter though).

-- 
Simon Paillard



Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#388141; Package www.debian.org. (Wed, 31 Oct 2012 15:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Noritada Kobayashi <noritadak@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. (Wed, 31 Oct 2012 15:51:04 GMT) Full text and rfc822 format available.

Message #346 received at 388141@bugs.debian.org (full text, mbox):

From: Noritada Kobayashi <noritadak@gmail.com>
To: 388141@bugs.debian.org
Subject: Re: Bug#388141: Progress in relicensing agreements: 167 ok out of 216 alioth
Date: Thu, 1 Nov 2012 00:46:54 +0900
Hi Simon and members,

2012/10/21 Simon Paillard <spaillard@debian.org>:
> Hi,
>
> On Wed, Oct 17, 2012 at 06:18:02PM +0200, Thijs Kinkhorst wrote:
>> > We sent the first batch to the Alioth users, and are quite happy that,
>> > among the 213 members of the Alioth webwml group we contacted, 104
>> > members already sent us back the agreement, and 44 other persons (who
>> > already provided content but who currently don't have commit access)
>> > sent it also back to us. Thanks to Simon who is tracking the received
>> > answers for the figures.

I am one of recently inactive members of Alioth webwml project
and kept silent on the relicensing confirmation.
Sorry for my late reply.
(Since I cannot read emails to my old address, I set my new address
to my account "nori1-guest" a few minutes ago.)

I agree with relicensing under dual MIT/GPL2+ since I devoted
translations for the sake of the project and the community, and
it is happy for me to keep them freely useful for the project and the community,
although I have not been able to join and contribute anything recent years
(but I want to do again).

(Since I have not generated a GPG key for this mail address, I am very
sorry but I
cannot provide any signatures to this important reply...)

Thanks a lot,

-nori



Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#388141; Package www.debian.org. (Mon, 05 Nov 2012 21:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Simon Paillard <spaillard@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. (Mon, 05 Nov 2012 21:21:04 GMT) Full text and rfc822 format available.

Message #351 received at 388141@bugs.debian.org (full text, mbox):

From: Simon Paillard <spaillard@debian.org>
To: 388141@bugs.debian.org
Subject: Re: Bug#388141: Progress in relicensing agreements: 177 ok out of 216 alioth (5th Nov 2012)
Date: Mon, 5 Nov 2012 22:16:55 +0100
Hi,

On Sat, Oct 20, 2012 at 09:20:16PM +0200, Simon Paillard wrote:
> On Wed, Oct 17, 2012 at 06:18:02PM +0200, Thijs Kinkhorst wrote:
> > > We sent the first batch to the Alioth users, and are quite happy that,
> > > among the 213 members of the Alioth webwml group we contacted, 104
> > > members already sent us back the agreement, and 44 other persons (who
> > > already provided content but who currently don't have commit access)
> > > sent it also back to us. Thanks to Simon who is tracking the received
> > > answers for the figures.
> > 
> > Can you give an update on this? From how many authors has permission been
> > received?

Today:
 
> alioth members: out of 216
	177 ok for dual licence
> 	1 for public domain
> 	2 for GPL only
  	39 remaning
 
> contributors but not commiters: note we didn't build a list of such contributors
> 	58 ok
> 

I dig accounts in order to get a matching name and email.
http://people.debian.org/~spaillard/website/relicensing/top-remainings-full

An email has been sent to every people identified by a name.

If it happen you know / are in contact with someone from the list (mainly in
top of the list), please get in touch ask him/her to contact
webmaster@debian.org.
 
> Our main next steps is imo:
> - from translation-check headers, identify contributors, and allow matching
>   with the list of ok
> - for people without a reply or NOK, identify the content and check if we can
>   drop it or rewrite it (from scratch) 
> - what to do with fjp commits ?
>  
> > Also, is there a list available somewhere of the usernames that alread
> > consented?
> http://people.debian.org/~spaillard/website/relicensing/ 



-- 
Simon Paillard



Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#388141; Package www.debian.org. (Sat, 08 Dec 2012 22:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefano Zacchiroli <leader@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. (Sat, 08 Dec 2012 22:45:03 GMT) Full text and rfc822 format available.

Message #356 received at 388141@bugs.debian.org (full text, mbox):

From: Stefano Zacchiroli <leader@debian.org>
To: 388141@bugs.debian.org
Cc: "Bradley M. Kuhn" <bkuhn@ebb.org>
Subject: Re: www.debian.org relicensing - advice on public call
Date: Sat, 8 Dec 2012 23:40:57 +0100
[Message part 1 (text/plain, inline)]
On Sun, Oct 21, 2012 at 05:34:36PM +0200, Stefano Zacchiroli wrote:
> Hi Bradley, I'm getting back to you about the above as in Debian we're
> now ready to finalize the relicensing of www.debian.org ("www.d.o" for
> short) from OPL and could use some expert advice on the next steps.

Brief status update on this, after a brief off-list mail exchange with
Bradley. He has kindly confirmed his willingness to help (thanks!), but
he is very busy with work at Software Freedom Conservancy for the next 3
months at least. I note this down here, so that others might remember to
check back with him then, given that I'll probably forget about this :-)

In the meantime, he has pointed us to some "related work" we might learn
from, the Squeak relicensing that the developer communities conducted
following Bradley's advice.  The best reference I've found about that
effort is http://www.netjam.org/squeak/contributors/ , but according to
this and other comments by Bradley it looks like we are on good track:

- we have already contacted all the contributors and heard back from
  quite a number of them

- then, we will need a list of website "lines" that are: 1/ still
  active, and 2/ for which we do *not* have received permission to
  relicence. (It's not clear to me if we have this already or not; can
  someone clarify?)

- once we have the above (and assuming those lines are not
  renounce-able), we might want to ask lawyer advice to verify if the
  lines in question are copyrightable.  Once we have the set of lines in
  question, I can look into that with the help of SPI lawyers

- at that point we might do a public call announcing we are going to
  relicense and ask if anyone have issues with it

Somewhat orthogonally to the above, I think it wouldn't hurt having a
public place where we keep track of the process. David (or anyone else
who has followed this closely) would it be feasible/easy to have, say, a
subpage of http://www.debian.org/license, where we keep up to date all
the info we have about the ongoing relicensing?

Thank again to Bradley for the help thus far, which has already been
quite useful!

Cheers.
-- 
Stefano Zacchiroli  . . . . . . .  zack@upsilon.cc . . . . o . . . o . o
Maître de conférences . . . . . http://upsilon.cc/zack . . . o . . . o o
Debian Project Leader . . . . . . @zack on identi.ca . . o o o . . . o .
« the first rule of tautology club is the first rule of tautology club »
[signature.asc (application/pgp-signature, inline)]

Added tag(s) jessie. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Thu, 18 Apr 2013 17:45:19 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 10:28:46 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.